
* (c) INSTITUTO NACIONAL DE ESTADISTICAS Y CENSOS.

* NOMBRE DEL ARCHIVO: P00_IDENTIFICADOR_HOGAR_ECV5.SPS.

* TEMA: CREACION DE BASES DE DATOS CON IDENTIFICADORES.

* FUENTE: ECV 2005- 2006 QUINTA RONDA.

* CONSULTOR RESPONSABLE: Ing. Wladymir Brborich P. 

* ULTIMA ACTUALIZACION: 7 DE MARZO DEL 2007.

********* ESTE ES EL PRIMER PROGRAMA QUE SE DEBE CORRER, PARA CREAR LA VARIABLE  NUMHOG 
             QUE ES EL IDENTIFICADOR A NIVEL DE HOGAR DE LA ENCUESTA ECV 5TA RONDA *********.

********* OBSERVAR QUE LA BASE DE DATOS INICIAL SE HA COLOCADO EN UN DIRECTORIO PROVISIONAL
             "ECV_1T", PARA GENERAR POSTERIORMENTE LA BASE DE DATOS CON EL IDENTIFICADOR DE HOGAR
             NUMHOG, EN EL DIRECTORIO "DATOS"  *********.

******** EN CASO DE TENER EL IDENTIFICADOR NUMHOG CREADO EN LA BASE DE DATOS CORRER P01_gramos_e5r_consumo.sps .

GET
  FILE='C:\ecv2006\ecv_1t\e5r_viv.sav'.

* Clculo del IDENTIFICADOR DEL HOGAR (NUMHOG) .

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .

compute test = (lag(numhog)=numhog).
recode test (sysmis = 0).
freq var test.

FILTER OFF.
USE ALL.
SELECT IF(test =0).

SAVE OUTFILE='C:\ecv2006\datos\e5r_viv.sav' drop test
   /COMPRESSED.

GET
  FILE='C:\ecv2006\ecv_1t\e5r_per.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .


SAVE OUTFILE='C:\ecv2006\datos\e5r_per.sav'
   /COMPRESSED.

AGGREGATE
  /OUTFILE='C:\ecv2006\Datos\npers.SAV'
  /BREAK=numhog
  /totper=N.

GET
  FILE='C:\ecv2006\ecv_1t\E5R_AGR1.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .

compute test = (lag(numhog)=numhog).
recode test (sysmis = 0).
freq var test.

FILTER OFF.
USE ALL.
SELECT IF(test =0).

SAVE OUTFILE='C:\ecv2006\datos\E5R_AGR1.sav' drop test
   /COMPRESSED.


GET
  FILE='C:\ecv2006\ecv_1t\E5R_CRE1.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .

compute test = (lag(numhog)=numhog).
recode test (sysmis = 0).
freq var test.

FILTER OFF.
USE ALL.
SELECT IF(test =0).

SAVE OUTFILE='C:\ecv2006\datos\E5R_CRE1.sav' drop test
   /COMPRESSED.

GET
  FILE='C:\ecv2006\ecv_1t\E5R_CRED.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .

SAVE OUTFILE='C:\ecv2006\datos\E5R_CRED.sav'
   /COMPRESSED.

GET
  FILE='C:\ecv2006\ecv_1t\E5R_EMIG.sav'.


compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .

compute test = (lag(numhog)=numhog).
recode test (sysmis = 0).
freq var test.

FILTER OFF.
USE ALL.
SELECT IF(test =0).

SAVE OUTFILE='C:\ecv2006\datos\E5R_EMIG.sav' drop test
   /COMPRESSED.

GET
  FILE='C:\ecv2006\ecv_1t\E5R_EML1.sav'.


compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .

compute test = (lag(numhog)=numhog).
recode test (sysmis = 0).
freq var test.

FILTER OFF.
USE ALL.
SELECT IF(test =0).

SAVE OUTFILE='C:\ecv2006\datos\E5R_EML1.sav' drop test
   /COMPRESSED.

GET
  FILE='C:\ecv2006\ecv_1t\E5R_EMLA.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .

SAVE OUTFILE='C:\ecv2006\datos\E5R_EMLA.sav'
   /COMPRESSED.


GET
  FILE='C:\ecv2006\ecv_1t\E5R_EQUI.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .


if (eq00 =1) eq0101= eq01.
if (eq00 =2) eq0102= eq01.
if (eq00 =3) eq0103= eq01.
if (eq00 =4) eq0104= eq01.
if (eq00 =5) eq0105= eq01.
if (eq00 =6) eq0106= eq01.
if (eq00 =7) eq0107= eq01.
if (eq00 =8) eq0108= eq01.
if (eq00 =9) eq0109= eq01.
if (eq00 =10) eq0110= eq01.
if (eq00 =11) eq0111= eq01.
if (eq00 =12) eq0112= eq01.
if (eq00 =13) eq0113= eq01.
if (eq00 =14) eq0114= eq01.
if (eq00 =15) eq0115= eq01.
if (eq00 =16) eq0116= eq01.
if (eq00 =17) eq0117= eq01.
if (eq00 =18) eq0118= eq01.
if (eq00 =19) eq0119= eq01.
if (eq00 =20) eq0120= eq01.
if (eq00 =21) eq0121= eq01.
if (eq00 =22) eq0122= eq01.
if (eq00 =23) eq0123= eq01.
if (eq00 =24) eq0124= eq01.
if (eq00 =25) eq0125= eq01.
if (eq00 =26) eq0126= eq01.
if (eq00 =27) eq0127= eq01.
if (eq00 =28) eq0128= eq01.
if (eq00 =29) eq0129= eq01.
if (eq00 =30) eq0130= eq01.

if (eq00 =1) eq0201= eq02.
if (eq00 =2) eq0202= eq02.
if (eq00 =3) eq0203= eq02.
if (eq00 =4) eq0204= eq02.
if (eq00 =5) eq0205= eq02.
if (eq00 =6) eq0206= eq02.
if (eq00 =7) eq0207= eq02.
if (eq00 =8) eq0208= eq02.
if (eq00 =9) eq0209= eq02.
if (eq00 =10) eq0210= eq02.
if (eq00 =11) eq0211= eq02.
if (eq00 =12) eq0212= eq02.
if (eq00 =13) eq0213= eq02.
if (eq00 =14) eq0214= eq02.
if (eq00 =15) eq0215= eq02.
if (eq00 =16) eq0216= eq02.
if (eq00 =17) eq0217= eq02.
if (eq00 =18) eq0218= eq02.
if (eq00 =19) eq0219= eq02.
if (eq00 =20) eq0220= eq02.
if (eq00 =21) eq0221= eq02.
if (eq00 =22) eq0222= eq02.
if (eq00 =23) eq0223= eq02.
if (eq00 =24) eq0224= eq02.
if (eq00 =25) eq0225= eq02.
if (eq00 =26) eq0226= eq02.
if (eq00 =27) eq0227= eq02.
if (eq00 =28) eq0228= eq02.
if (eq00 =29) eq0229= eq02.
if (eq00 =30) eq0230= eq02.

if (eq00 =1) eq0301= eq03.
if (eq00 =2) eq0302= eq03.
if (eq00 =3) eq0303= eq03.
if (eq00 =4) eq0304= eq03.
if (eq00 =5) eq0305= eq03.
if (eq00 =6) eq0306= eq03.
if (eq00 =7) eq0307= eq03.
if (eq00 =8) eq0308= eq03.
if (eq00 =9) eq0309= eq03.
if (eq00 =10) eq0310= eq03.
if (eq00 =11) eq0311= eq03.
if (eq00 =12) eq0312= eq03.
if (eq00 =13) eq0313= eq03.
if (eq00 =14) eq0314= eq03.
if (eq00 =15) eq0315= eq03.
if (eq00 =16) eq0316= eq03.
if (eq00 =17) eq0317= eq03.
if (eq00 =18) eq0318= eq03.
if (eq00 =19) eq0319= eq03.
if (eq00 =20) eq0320= eq03.
if (eq00 =21) eq0321= eq03.
if (eq00 =22) eq0322= eq03.
if (eq00 =23) eq0323= eq03.
if (eq00 =24) eq0324= eq03.
if (eq00 =25) eq0325= eq03.
if (eq00 =26) eq0326= eq03.
if (eq00 =27) eq0327= eq03.
if (eq00 =28) eq0328= eq03.
if (eq00 =29) eq0329= eq03.
if (eq00 =30) eq0330= eq03.

if (eq00 =1) eq0401= eq04.
if (eq00 =2) eq0402= eq04.
if (eq00 =3) eq0403= eq04.
if (eq00 =4) eq0404= eq04.
if (eq00 =5) eq0405= eq04.
if (eq00 =6) eq0406= eq04.
if (eq00 =7) eq0407= eq04.
if (eq00 =8) eq0408= eq04.
if (eq00 =9) eq0409= eq04.
if (eq00 =10) eq0410= eq04.
if (eq00 =11) eq0411= eq04.
if (eq00 =12) eq0412= eq04.
if (eq00 =13) eq0413= eq04.
if (eq00 =14) eq0414= eq04.
if (eq00 =15) eq0415= eq04.
if (eq00 =16) eq0416= eq04.
if (eq00 =17) eq0417= eq04.
if (eq00 =18) eq0418= eq04.
if (eq00 =19) eq0419= eq04.
if (eq00 =20) eq0420= eq04.
if (eq00 =21) eq0421= eq04.
if (eq00 =22) eq0422= eq04.
if (eq00 =23) eq0423= eq04.
if (eq00 =24) eq0424= eq04.
if (eq00 =25) eq0425= eq04.
if (eq00 =26) eq0426= eq04.
if (eq00 =27) eq0427= eq04.
if (eq00 =28) eq0428= eq04.
if (eq00 =29) eq0429= eq04.
if (eq00 =30) eq0430= eq04.

set mxmemory 2000000.

AGGREGATE
  /OUTFILE='C:\ECV2006\Datos\E5R_EQUI.SAV'
  /BREAK=numhog region area
  /eq0101 to eq0130 = first (eq0101 to eq0130)
  /eq0201 to eq0230 = first (eq0201 to eq0230)
  /eq0301 to eq0330 = first (eq0301 to eq0330)
  /eq0401 to eq0430 = first (eq0401 to eq0430).

GET
  FILE='C:\ECV2006\datos\E5R_EQUI.sav'.


GET
  FILE='C:\ecv2006\ecv_1t\E5R_FA_I.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .

SAVE OUTFILE='C:\ecv2006\datos\E5R_FA_I.sav'
   /COMPRESSED.


GET
  FILE='C:\ecv2006\ecv_1t\E5R_FA_II.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .

SAVE OUTFILE='C:\ecv2006\datos\E5R_FA_II.sav'
   /COMPRESS.

GET
  FILE='C:\ecv2006\ecv_1t\E5R_FB.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .

SAVE OUTFILE='C:\ecv2006\datos\E5R_FB.sav'
   /COMPRESS.

GET
  FILE='C:\ecv2006\ecv_1t\E5R_FC.sav'.


compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .

SAVE OUTFILE='C:\ecv2006\datos\E5R_FC.sav'
   /COMPRESS.

GET
  FILE='C:\ecv2006\ecv_1t\E5R_FDE.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .

compute test = (lag(numhog)=numhog).
recode test (sysmis = 0).
freq var test.

FILTER OFF.
USE ALL.
SELECT IF(test =0).

SAVE OUTFILE='C:\ecv2006\datos\E5R_FDE.sav' drop test
   /COMPRESS.

GET
  FILE='C:\ecv2006\ecv_1t\E5R_FF.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .


SAVE OUTFILE='C:\ecv2006\datos\E5R_FF.sav'
   /COMPRESS.

GET
  FILE='C:\ecv2006\ecv_1t\E5R_FFIV.sav'.


compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .


SAVE OUTFILE='C:\ecv2006\datos\E5R_FFIV.sav'
   /COMPRESS.



GET
  FILE='C:\ecv2006\ecv_1t\E5R_FGHI.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .

compute test = (lag(numhog)=numhog).
recode test (sysmis = 0).
freq var test.

FILTER OFF.
USE ALL.
SELECT IF(test =0).

SAVE OUTFILE='C:\ecv2006\datos\E5R_FGHI.sav' drop test
   /COMPRESS.

GET
  FILE='C:\ecv2006\ecv_1t\E5R_FJ.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .


SAVE OUTFILE='C:\ecv2006\datos\E5R_FJ.sav'
   /COMPRESS.

GET
  FILE='C:\ecv2006\ecv_1t\E5R_GAL1.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .

compute test = (lag(numhog)=numhog).
recode test (sysmis = 0).
freq var test.

FILTER OFF.
USE ALL.
SELECT IF(test =0).

SAVE OUTFILE='C:\ecv2006\datos\E5R_GAL1.sav' drop test
   /COMPRESS.

GET
  FILE='C:\ecv2006\ecv_1t\E5R_GALI.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .

do if (ga07 >0 and ga04 >1).
recode ga04 ( 1 thru hi = 1).
end if.


DO IF (ga04  = 1 ).

    IF (ga05  =  1) gasto  =  ga07*30.
    IF (ga05  =  2) gasto  =  ga07*4.33 .
    IF (ga05  =  3) gasto  =  ga07*2 .
    IF (ga05  =  4) gasto  =  ga07.
    IF (ga05  =  5) gasto  =  ga07/3 .
    IF (ga05  =  6) gasto  =  ga07/6 .
    IF (ga05  =  7) gasto  =  ga07/12. 

  END IF.

do if (ga11 >0 and ga08a >1).
recode ga08a ( 1 thru hi = 1).
end if.

DO IF (ga08a  = 1 ).

    IF (ga09  =  1) gastoac  =  ga11*30.
    IF (ga09  =  2) gastoac  =  ga11*4.33 .
    IF (ga09  =  3) gastoac  =  ga11*2 .
    IF (ga09  =  4) gastoac  =  ga11.
    IF (ga09  =  5) gastoac  =  ga11/3 .
    IF (ga09  =  6) gastoac  =  ga11/6 .
    IF (ga09  =  7) gastoac  =  ga11/12. 

  END IF.

if (ga00 =1) ga04001= ga04.
if (ga00 =2) ga04002= ga04.
if (ga00 =3) ga04003= ga04.
if (ga00 =4) ga04004= ga04.
if (ga00 =5) ga04005= ga04.
if (ga00 =6) ga04006= ga04.
if (ga00 =7) ga04007= ga04.
if (ga00 =8) ga04008= ga04.
if (ga00 =9) ga04009= ga04.
if (ga00 =10) ga04010= ga04.
if (ga00 =11) ga04011= ga04.
if (ga00 =12) ga04012= ga04.
if (ga00 =13) ga04013= ga04.
if (ga00 =14) ga04014= ga04.
if (ga00 =15) ga04015= ga04.
if (ga00 =16) ga04016= ga04.
if (ga00 =17) ga04017= ga04.
if (ga00 =18) ga04018= ga04.
if (ga00 =19) ga04019= ga04.
if (ga00 =20) ga04020= ga04.
if (ga00 =21) ga04021= ga04.
if (ga00 =22) ga04022= ga04.
if (ga00 =23) ga04023= ga04.
if (ga00 =24) ga04024= ga04.
if (ga00 =25) ga04025= ga04.
if (ga00 =26) ga04026= ga04.
if (ga00 =27) ga04027= ga04.
if (ga00 =28) ga04028= ga04.
if (ga00 =29) ga04029= ga04.
if (ga00 =30) ga04030= ga04.
if (ga00 =31) ga04031= ga04.
if (ga00 =32) ga04032= ga04.
if (ga00 =33) ga04033= ga04.
if (ga00 =34) ga04034= ga04.
if (ga00 =35) ga04035= ga04.
if (ga00 =36) ga04036= ga04.
if (ga00 =37) ga04037= ga04.
if (ga00 =38) ga04038= ga04.
if (ga00 =39) ga04039= ga04.
if (ga00 =40) ga04040= ga04.
if (ga00 =41) ga04041= ga04.
if (ga00 =42) ga04042= ga04.
if (ga00 =43) ga04043= ga04.
if (ga00 =44) ga04044= ga04.
if (ga00 =45) ga04045= ga04.
if (ga00 =46) ga04046= ga04.
if (ga00 =47) ga04047= ga04.
if (ga00 =48) ga04048= ga04.
if (ga00 =49) ga04049= ga04.
if (ga00 =50) ga04050= ga04.
if (ga00 =51) ga04051= ga04.
if (ga00 =52) ga04052= ga04.
if (ga00 =53) ga04053= ga04.
if (ga00 =54) ga04054= ga04.
if (ga00 =55) ga04055= ga04.
if (ga00 =56) ga04056= ga04.
if (ga00 =57) ga04057= ga04.
if (ga00 =58) ga04058= ga04.
if (ga00 =59) ga04059= ga04.
if (ga00 =60) ga04060= ga04.
if (ga00 =61) ga04061= ga04.
if (ga00 =62) ga04062= ga04.
if (ga00 =63) ga04063= ga04.
if (ga00 =64) ga04064= ga04.
if (ga00 =65) ga04065= ga04.
if (ga00 =66) ga04066= ga04.
if (ga00 =67) ga04067= ga04.
if (ga00 =68) ga04068= ga04.
if (ga00 =69) ga04069= ga04.
if (ga00 =70) ga04070= ga04.
if (ga00 =71) ga04071= ga04.
if (ga00 =72) ga04072= ga04.
if (ga00 =73) ga04073= ga04.
if (ga00 =74) ga04074= ga04.
if (ga00 =75) ga04075= ga04.
if (ga00 =76) ga04076= ga04.
if (ga00 =77) ga04077= ga04.
if (ga00 =78) ga04078= ga04.
if (ga00 =79) ga04079= ga04.
if (ga00 =80) ga04080= ga04.
if (ga00 =81) ga04081= ga04.
if (ga00 =82) ga04082= ga04.
if (ga00 =83) ga04083= ga04.
if (ga00 =84) ga04084= ga04.
if (ga00 =85) ga04085= ga04.
if (ga00 =86) ga04086= ga04.
if (ga00 =87) ga04087= ga04.
if (ga00 =88) ga04088= ga04.
if (ga00 =89) ga04089= ga04.
if (ga00 =90) ga04090= ga04.
if (ga00 =91) ga04091= ga04.
if (ga00 =92) ga04092= ga04.
if (ga00 =93) ga04093= ga04.
if (ga00 =94) ga04094= ga04.
if (ga00 =95) ga04095= ga04.
if (ga00 =96) ga04096= ga04.
if (ga00 =97) ga04097= ga04.
if (ga00 =98) ga04098= ga04.
if (ga00 =99) ga04099= ga04.
if (ga00 =100) ga04100= ga04.
if (ga00 =101) ga04101= ga04.
if (ga00 =102) ga04102= ga04.
if (ga00 =103) ga04103= ga04.
if (ga00 =104) ga04104= ga04.
if (ga00 =105) ga04105= ga04.
if (ga00 =106) ga04106= ga04.
if (ga00 =107) ga04107= ga04.
if (ga00 =108) ga04108= ga04.
if (ga00 =109) ga04109= ga04.
if (ga00 =110) ga04110= ga04.
if (ga00 =111) ga04111= ga04.

if (ga00 =1) ga05001= ga05.
if (ga00 =2) ga05002= ga05.
if (ga00 =3) ga05003= ga05.
if (ga00 =4) ga05004= ga05.
if (ga00 =5) ga05005= ga05.
if (ga00 =6) ga05006= ga05.
if (ga00 =7) ga05007= ga05.
if (ga00 =8) ga05008= ga05.
if (ga00 =9) ga05009= ga05.
if (ga00 =10) ga05010= ga05.
if (ga00 =11) ga05011= ga05.
if (ga00 =12) ga05012= ga05.
if (ga00 =13) ga05013= ga05.
if (ga00 =14) ga05014= ga05.
if (ga00 =15) ga05015= ga05.
if (ga00 =16) ga05016= ga05.
if (ga00 =17) ga05017= ga05.
if (ga00 =18) ga05018= ga05.
if (ga00 =19) ga05019= ga05.
if (ga00 =20) ga05020= ga05.
if (ga00 =21) ga05021= ga05.
if (ga00 =22) ga05022= ga05.
if (ga00 =23) ga05023= ga05.
if (ga00 =24) ga05024= ga05.
if (ga00 =25) ga05025= ga05.
if (ga00 =26) ga05026= ga05.
if (ga00 =27) ga05027= ga05.
if (ga00 =28) ga05028= ga05.
if (ga00 =29) ga05029= ga05.
if (ga00 =30) ga05030= ga05.
if (ga00 =31) ga05031= ga05.
if (ga00 =32) ga05032= ga05.
if (ga00 =33) ga05033= ga05.
if (ga00 =34) ga05034= ga05.
if (ga00 =35) ga05035= ga05.
if (ga00 =36) ga05036= ga05.
if (ga00 =37) ga05037= ga05.
if (ga00 =38) ga05038= ga05.
if (ga00 =39) ga05039= ga05.
if (ga00 =40) ga05040= ga05.
if (ga00 =41) ga05041= ga05.
if (ga00 =42) ga05042= ga05.
if (ga00 =43) ga05043= ga05.
if (ga00 =44) ga05044= ga05.
if (ga00 =45) ga05045= ga05.
if (ga00 =46) ga05046= ga05.
if (ga00 =47) ga05047= ga05.
if (ga00 =48) ga05048= ga05.
if (ga00 =49) ga05049= ga05.
if (ga00 =50) ga05050= ga05.
if (ga00 =51) ga05051= ga05.
if (ga00 =52) ga05052= ga05.
if (ga00 =53) ga05053= ga05.
if (ga00 =54) ga05054= ga05.
if (ga00 =55) ga05055= ga05.
if (ga00 =56) ga05056= ga05.
if (ga00 =57) ga05057= ga05.
if (ga00 =58) ga05058= ga05.
if (ga00 =59) ga05059= ga05.
if (ga00 =60) ga05060= ga05.
if (ga00 =61) ga05061= ga05.
if (ga00 =62) ga05062= ga05.
if (ga00 =63) ga05063= ga05.
if (ga00 =64) ga05064= ga05.
if (ga00 =65) ga05065= ga05.
if (ga00 =66) ga05066= ga05.
if (ga00 =67) ga05067= ga05.
if (ga00 =68) ga05068= ga05.
if (ga00 =69) ga05069= ga05.
if (ga00 =70) ga05070= ga05.
if (ga00 =71) ga05071= ga05.
if (ga00 =72) ga05072= ga05.
if (ga00 =73) ga05073= ga05.
if (ga00 =74) ga05074= ga05.
if (ga00 =75) ga05075= ga05.
if (ga00 =76) ga05076= ga05.
if (ga00 =77) ga05077= ga05.
if (ga00 =78) ga05078= ga05.
if (ga00 =79) ga05079= ga05.
if (ga00 =80) ga05080= ga05.
if (ga00 =81) ga05081= ga05.
if (ga00 =82) ga05082= ga05.
if (ga00 =83) ga05083= ga05.
if (ga00 =84) ga05084= ga05.
if (ga00 =85) ga05085= ga05.
if (ga00 =86) ga05086= ga05.
if (ga00 =87) ga05087= ga05.
if (ga00 =88) ga05088= ga05.
if (ga00 =89) ga05089= ga05.
if (ga00 =90) ga05090= ga05.
if (ga00 =91) ga05091= ga05.
if (ga00 =92) ga05092= ga05.
if (ga00 =93) ga05093= ga05.
if (ga00 =94) ga05094= ga05.
if (ga00 =95) ga05095= ga05.
if (ga00 =96) ga05096= ga05.
if (ga00 =97) ga05097= ga05.
if (ga00 =98) ga05098= ga05.
if (ga00 =99) ga05099= ga05.
if (ga00 =100) ga05100= ga05.
if (ga00 =101) ga05101= ga05.
if (ga00 =102) ga05102= ga05.
if (ga00 =103) ga05103= ga05.
if (ga00 =104) ga05104= ga05.
if (ga00 =105) ga05105= ga05.
if (ga00 =106) ga05106= ga05.
if (ga00 =107) ga05107= ga05.
if (ga00 =108) ga05108= ga05.
if (ga00 =109) ga05109= ga05.
if (ga00 =110) ga05110= ga05.
if (ga00 =111) ga05111= ga05.

if (ga00 =1) ga06a001= ga06a.
if (ga00 =2) ga06a002= ga06a.
if (ga00 =3) ga06a003= ga06a.
if (ga00 =4) ga06a004= ga06a.
if (ga00 =5) ga06a005= ga06a.
if (ga00 =6) ga06a006= ga06a.
if (ga00 =7) ga06a007= ga06a.
if (ga00 =8) ga06a008= ga06a.
if (ga00 =9) ga06a009= ga06a.
if (ga00 =10) ga06a010= ga06a.
if (ga00 =11) ga06a011= ga06a.
if (ga00 =12) ga06a012= ga06a.
if (ga00 =13) ga06a013= ga06a.
if (ga00 =14) ga06a014= ga06a.
if (ga00 =15) ga06a015= ga06a.
if (ga00 =16) ga06a016= ga06a.
if (ga00 =17) ga06a017= ga06a.
if (ga00 =18) ga06a018= ga06a.
if (ga00 =19) ga06a019= ga06a.
if (ga00 =20) ga06a020= ga06a.
if (ga00 =21) ga06a021= ga06a.
if (ga00 =22) ga06a022= ga06a.
if (ga00 =23) ga06a023= ga06a.
if (ga00 =24) ga06a024= ga06a.
if (ga00 =25) ga06a025= ga06a.
if (ga00 =26) ga06a026= ga06a.
if (ga00 =27) ga06a027= ga06a.
if (ga00 =28) ga06a028= ga06a.
if (ga00 =29) ga06a029= ga06a.
if (ga00 =30) ga06a030= ga06a.
if (ga00 =31) ga06a031= ga06a.
if (ga00 =32) ga06a032= ga06a.
if (ga00 =33) ga06a033= ga06a.
if (ga00 =34) ga06a034= ga06a.
if (ga00 =35) ga06a035= ga06a.
if (ga00 =36) ga06a036= ga06a.
if (ga00 =37) ga06a037= ga06a.
if (ga00 =38) ga06a038= ga06a.
if (ga00 =39) ga06a039= ga06a.
if (ga00 =40) ga06a040= ga06a.
if (ga00 =41) ga06a041= ga06a.
if (ga00 =42) ga06a042= ga06a.
if (ga00 =43) ga06a043= ga06a.
if (ga00 =44) ga06a044= ga06a.
if (ga00 =45) ga06a045= ga06a.
if (ga00 =46) ga06a046= ga06a.
if (ga00 =47) ga06a047= ga06a.
if (ga00 =48) ga06a048= ga06a.
if (ga00 =49) ga06a049= ga06a.
if (ga00 =50) ga06a050= ga06a.
if (ga00 =51) ga06a051= ga06a.
if (ga00 =52) ga06a052= ga06a.
if (ga00 =53) ga06a053= ga06a.
if (ga00 =54) ga06a054= ga06a.
if (ga00 =55) ga06a055= ga06a.
if (ga00 =56) ga06a056= ga06a.
if (ga00 =57) ga06a057= ga06a.
if (ga00 =58) ga06a058= ga06a.
if (ga00 =59) ga06a059= ga06a.
if (ga00 =60) ga06a060= ga06a.
if (ga00 =61) ga06a061= ga06a.
if (ga00 =62) ga06a062= ga06a.
if (ga00 =63) ga06a063= ga06a.
if (ga00 =64) ga06a064= ga06a.
if (ga00 =65) ga06a065= ga06a.
if (ga00 =66) ga06a066= ga06a.
if (ga00 =67) ga06a067= ga06a.
if (ga00 =68) ga06a068= ga06a.
if (ga00 =69) ga06a069= ga06a.
if (ga00 =70) ga06a070= ga06a.
if (ga00 =71) ga06a071= ga06a.
if (ga00 =72) ga06a072= ga06a.
if (ga00 =73) ga06a073= ga06a.
if (ga00 =74) ga06a074= ga06a.
if (ga00 =75) ga06a075= ga06a.
if (ga00 =76) ga06a076= ga06a.
if (ga00 =77) ga06a077= ga06a.
if (ga00 =78) ga06a078= ga06a.
if (ga00 =79) ga06a079= ga06a.
if (ga00 =80) ga06a080= ga06a.
if (ga00 =81) ga06a081= ga06a.
if (ga00 =82) ga06a082= ga06a.
if (ga00 =83) ga06a083= ga06a.
if (ga00 =84) ga06a084= ga06a.
if (ga00 =85) ga06a085= ga06a.
if (ga00 =86) ga06a086= ga06a.
if (ga00 =87) ga06a087= ga06a.
if (ga00 =88) ga06a088= ga06a.
if (ga00 =89) ga06a089= ga06a.
if (ga00 =90) ga06a090= ga06a.
if (ga00 =91) ga06a091= ga06a.
if (ga00 =92) ga06a092= ga06a.
if (ga00 =93) ga06a093= ga06a.
if (ga00 =94) ga06a094= ga06a.
if (ga00 =95) ga06a095= ga06a.
if (ga00 =96) ga06a096= ga06a.
if (ga00 =97) ga06a097= ga06a.
if (ga00 =98) ga06a098= ga06a.
if (ga00 =99) ga06a099= ga06a.
if (ga00 =100) ga06a100= ga06a.
if (ga00 =101) ga06a101= ga06a.
if (ga00 =102) ga06a102= ga06a.
if (ga00 =103) ga06a103= ga06a.
if (ga00 =104) ga06a104= ga06a.
if (ga00 =105) ga06a105= ga06a.
if (ga00 =106) ga06a106= ga06a.
if (ga00 =107) ga06a107= ga06a.
if (ga00 =108) ga06a108= ga06a.
if (ga00 =109) ga06a109= ga06a.
if (ga00 =110) ga06a110= ga06a.
if (ga00 =111) ga06a111= ga06a.

if (ga00 =1) ga06b001= ga06b.
if (ga00 =2) ga06b002= ga06b.
if (ga00 =3) ga06b003= ga06b.
if (ga00 =4) ga06b004= ga06b.
if (ga00 =5) ga06b005= ga06b.
if (ga00 =6) ga06b006= ga06b.
if (ga00 =7) ga06b007= ga06b.
if (ga00 =8) ga06b008= ga06b.
if (ga00 =9) ga06b009= ga06b.
if (ga00 =10) ga06b010= ga06b.
if (ga00 =11) ga06b011= ga06b.
if (ga00 =12) ga06b012= ga06b.
if (ga00 =13) ga06b013= ga06b.
if (ga00 =14) ga06b014= ga06b.
if (ga00 =15) ga06b015= ga06b.
if (ga00 =16) ga06b016= ga06b.
if (ga00 =17) ga06b017= ga06b.
if (ga00 =18) ga06b018= ga06b.
if (ga00 =19) ga06b019= ga06b.
if (ga00 =20) ga06b020= ga06b.
if (ga00 =21) ga06b021= ga06b.
if (ga00 =22) ga06b022= ga06b.
if (ga00 =23) ga06b023= ga06b.
if (ga00 =24) ga06b024= ga06b.
if (ga00 =25) ga06b025= ga06b.
if (ga00 =26) ga06b026= ga06b.
if (ga00 =27) ga06b027= ga06b.
if (ga00 =28) ga06b028= ga06b.
if (ga00 =29) ga06b029= ga06b.
if (ga00 =30) ga06b030= ga06b.
if (ga00 =31) ga06b031= ga06b.
if (ga00 =32) ga06b032= ga06b.
if (ga00 =33) ga06b033= ga06b.
if (ga00 =34) ga06b034= ga06b.
if (ga00 =35) ga06b035= ga06b.
if (ga00 =36) ga06b036= ga06b.
if (ga00 =37) ga06b037= ga06b.
if (ga00 =38) ga06b038= ga06b.
if (ga00 =39) ga06b039= ga06b.
if (ga00 =40) ga06b040= ga06b.
if (ga00 =41) ga06b041= ga06b.
if (ga00 =42) ga06b042= ga06b.
if (ga00 =43) ga06b043= ga06b.
if (ga00 =44) ga06b044= ga06b.
if (ga00 =45) ga06b045= ga06b.
if (ga00 =46) ga06b046= ga06b.
if (ga00 =47) ga06b047= ga06b.
if (ga00 =48) ga06b048= ga06b.
if (ga00 =49) ga06b049= ga06b.
if (ga00 =50) ga06b050= ga06b.
if (ga00 =51) ga06b051= ga06b.
if (ga00 =52) ga06b052= ga06b.
if (ga00 =53) ga06b053= ga06b.
if (ga00 =54) ga06b054= ga06b.
if (ga00 =55) ga06b055= ga06b.
if (ga00 =56) ga06b056= ga06b.
if (ga00 =57) ga06b057= ga06b.
if (ga00 =58) ga06b058= ga06b.
if (ga00 =59) ga06b059= ga06b.
if (ga00 =60) ga06b060= ga06b.
if (ga00 =61) ga06b061= ga06b.
if (ga00 =62) ga06b062= ga06b.
if (ga00 =63) ga06b063= ga06b.
if (ga00 =64) ga06b064= ga06b.
if (ga00 =65) ga06b065= ga06b.
if (ga00 =66) ga06b066= ga06b.
if (ga00 =67) ga06b067= ga06b.
if (ga00 =68) ga06b068= ga06b.
if (ga00 =69) ga06b069= ga06b.
if (ga00 =70) ga06b070= ga06b.
if (ga00 =71) ga06b071= ga06b.
if (ga00 =72) ga06b072= ga06b.
if (ga00 =73) ga06b073= ga06b.
if (ga00 =74) ga06b074= ga06b.
if (ga00 =75) ga06b075= ga06b.
if (ga00 =76) ga06b076= ga06b.
if (ga00 =77) ga06b077= ga06b.
if (ga00 =78) ga06b078= ga06b.
if (ga00 =79) ga06b079= ga06b.
if (ga00 =80) ga06b080= ga06b.
if (ga00 =81) ga06b081= ga06b.
if (ga00 =82) ga06b082= ga06b.
if (ga00 =83) ga06b083= ga06b.
if (ga00 =84) ga06b084= ga06b.
if (ga00 =85) ga06b085= ga06b.
if (ga00 =86) ga06b086= ga06b.
if (ga00 =87) ga06b087= ga06b.
if (ga00 =88) ga06b088= ga06b.
if (ga00 =89) ga06b089= ga06b.
if (ga00 =90) ga06b090= ga06b.
if (ga00 =91) ga06b091= ga06b.
if (ga00 =92) ga06b092= ga06b.
if (ga00 =93) ga06b093= ga06b.
if (ga00 =94) ga06b094= ga06b.
if (ga00 =95) ga06b095= ga06b.
if (ga00 =96) ga06b096= ga06b.
if (ga00 =97) ga06b097= ga06b.
if (ga00 =98) ga06b098= ga06b.
if (ga00 =99) ga06b099= ga06b.
if (ga00 =100) ga06b100= ga06b.
if (ga00 =101) ga06b101= ga06b.
if (ga00 =102) ga06b102= ga06b.
if (ga00 =103) ga06b103= ga06b.
if (ga00 =104) ga06b104= ga06b.
if (ga00 =105) ga06b105= ga06b.
if (ga00 =106) ga06b106= ga06b.
if (ga00 =107) ga06b107= ga06b.
if (ga00 =108) ga06b108= ga06b.
if (ga00 =109) ga06b109= ga06b.
if (ga00 =110) ga06b110= ga06b.
if (ga00 =111) ga06b111= ga06b.

if (ga00 =1) ga07001= gasto.
if (ga00 =2) ga07002= gasto.
if (ga00 =3) ga07003= gasto.
if (ga00 =4) ga07004= gasto.
if (ga00 =5) ga07005= gasto.
if (ga00 =6) ga07006= gasto.
if (ga00 =7) ga07007= gasto.
if (ga00 =8) ga07008= gasto.
if (ga00 =9) ga07009= gasto.
if (ga00 =10) ga07010= gasto.
if (ga00 =11) ga07011= gasto.
if (ga00 =12) ga07012= gasto.
if (ga00 =13) ga07013= gasto.
if (ga00 =14) ga07014= gasto.
if (ga00 =15) ga07015= gasto.
if (ga00 =16) ga07016= gasto.
if (ga00 =17) ga07017= gasto.
if (ga00 =18) ga07018= gasto.
if (ga00 =19) ga07019= gasto.
if (ga00 =20) ga07020= gasto.
if (ga00 =21) ga07021= gasto.
if (ga00 =22) ga07022= gasto.
if (ga00 =23) ga07023= gasto.
if (ga00 =24) ga07024= gasto.
if (ga00 =25) ga07025= gasto.
if (ga00 =26) ga07026= gasto.
if (ga00 =27) ga07027= gasto.
if (ga00 =28) ga07028= gasto.
if (ga00 =29) ga07029= gasto.
if (ga00 =30) ga07030= gasto.
if (ga00 =31) ga07031= gasto.
if (ga00 =32) ga07032= gasto.
if (ga00 =33) ga07033= gasto.
if (ga00 =34) ga07034= gasto.
if (ga00 =35) ga07035= gasto.
if (ga00 =36) ga07036= gasto.
if (ga00 =37) ga07037= gasto.
if (ga00 =38) ga07038= gasto.
if (ga00 =39) ga07039= gasto.
if (ga00 =40) ga07040= gasto.
if (ga00 =41) ga07041= gasto.
if (ga00 =42) ga07042= gasto.
if (ga00 =43) ga07043= gasto.
if (ga00 =44) ga07044= gasto.
if (ga00 =45) ga07045= gasto.
if (ga00 =46) ga07046= gasto.
if (ga00 =47) ga07047= gasto.
if (ga00 =48) ga07048= gasto.
if (ga00 =49) ga07049= gasto.
if (ga00 =50) ga07050= gasto.
if (ga00 =51) ga07051= gasto.
if (ga00 =52) ga07052= gasto.
if (ga00 =53) ga07053= gasto.
if (ga00 =54) ga07054= gasto.
if (ga00 =55) ga07055= gasto.
if (ga00 =56) ga07056= gasto.
if (ga00 =57) ga07057= gasto.
if (ga00 =58) ga07058= gasto.
if (ga00 =59) ga07059= gasto.
if (ga00 =60) ga07060= gasto.
if (ga00 =61) ga07061= gasto.
if (ga00 =62) ga07062= gasto.
if (ga00 =63) ga07063= gasto.
if (ga00 =64) ga07064= gasto.
if (ga00 =65) ga07065= gasto.
if (ga00 =66) ga07066= gasto.
if (ga00 =67) ga07067= gasto.
if (ga00 =68) ga07068= gasto.
if (ga00 =69) ga07069= gasto.
if (ga00 =70) ga07070= gasto.
if (ga00 =71) ga07071= gasto.
if (ga00 =72) ga07072= gasto.
if (ga00 =73) ga07073= gasto.
if (ga00 =74) ga07074= gasto.
if (ga00 =75) ga07075= gasto.
if (ga00 =76) ga07076= gasto.
if (ga00 =77) ga07077= gasto.
if (ga00 =78) ga07078= gasto.
if (ga00 =79) ga07079= gasto.
if (ga00 =80) ga07080= gasto.
if (ga00 =81) ga07081= gasto.
if (ga00 =82) ga07082= gasto.
if (ga00 =83) ga07083= gasto.
if (ga00 =84) ga07084= gasto.
if (ga00 =85) ga07085= gasto.
if (ga00 =86) ga07086= gasto.
if (ga00 =87) ga07087= gasto.
if (ga00 =88) ga07088= gasto.
if (ga00 =89) ga07089= gasto.
if (ga00 =90) ga07090= gasto.
if (ga00 =91) ga07091= gasto.
if (ga00 =92) ga07092= gasto.
if (ga00 =93) ga07093= gasto.
if (ga00 =94) ga07094= gasto.
if (ga00 =95) ga07095= gasto.
if (ga00 =96) ga07096= gasto.
if (ga00 =97) ga07097= gasto.
if (ga00 =98) ga07098= gasto.
if (ga00 =99) ga07099= gasto.
if (ga00 =100) ga07100= gasto.
if (ga00 =101) ga07101= gasto.
if (ga00 =102) ga07102= gasto.
if (ga00 =103) ga07103= gasto.
if (ga00 =104) ga07104= gasto.
if (ga00 =105) ga07105= gasto.
if (ga00 =106) ga07106= gasto.
if (ga00 =107) ga07107= gasto.
if (ga00 =108) ga07108= gasto.
if (ga00 =109) ga07109= gasto.
if (ga00 =110) ga07110= gasto.
if (ga00 =111) ga07111= gasto.

if (ga00 =1) ga08a001= ga08a.
if (ga00 =2) ga08a002= ga08a.
if (ga00 =3) ga08a003= ga08a.
if (ga00 =4) ga08a004= ga08a.
if (ga00 =5) ga08a005= ga08a.
if (ga00 =6) ga08a006= ga08a.
if (ga00 =7) ga08a007= ga08a.
if (ga00 =8) ga08a008= ga08a.
if (ga00 =9) ga08a009= ga08a.
if (ga00 =10) ga08a010= ga08a.
if (ga00 =11) ga08a011= ga08a.
if (ga00 =12) ga08a012= ga08a.
if (ga00 =13) ga08a013= ga08a.
if (ga00 =14) ga08a014= ga08a.
if (ga00 =15) ga08a015= ga08a.
if (ga00 =16) ga08a016= ga08a.
if (ga00 =17) ga08a017= ga08a.
if (ga00 =18) ga08a018= ga08a.
if (ga00 =19) ga08a019= ga08a.
if (ga00 =20) ga08a020= ga08a.
if (ga00 =21) ga08a021= ga08a.
if (ga00 =22) ga08a022= ga08a.
if (ga00 =23) ga08a023= ga08a.
if (ga00 =24) ga08a024= ga08a.
if (ga00 =25) ga08a025= ga08a.
if (ga00 =26) ga08a026= ga08a.
if (ga00 =27) ga08a027= ga08a.
if (ga00 =28) ga08a028= ga08a.
if (ga00 =29) ga08a029= ga08a.
if (ga00 =30) ga08a030= ga08a.
if (ga00 =31) ga08a031= ga08a.
if (ga00 =32) ga08a032= ga08a.
if (ga00 =33) ga08a033= ga08a.
if (ga00 =34) ga08a034= ga08a.
if (ga00 =35) ga08a035= ga08a.
if (ga00 =36) ga08a036= ga08a.
if (ga00 =37) ga08a037= ga08a.
if (ga00 =38) ga08a038= ga08a.
if (ga00 =39) ga08a039= ga08a.
if (ga00 =40) ga08a040= ga08a.
if (ga00 =41) ga08a041= ga08a.
if (ga00 =42) ga08a042= ga08a.
if (ga00 =43) ga08a043= ga08a.
if (ga00 =44) ga08a044= ga08a.
if (ga00 =45) ga08a045= ga08a.
if (ga00 =46) ga08a046= ga08a.
if (ga00 =47) ga08a047= ga08a.
if (ga00 =48) ga08a048= ga08a.
if (ga00 =49) ga08a049= ga08a.
if (ga00 =50) ga08a050= ga08a.
if (ga00 =51) ga08a051= ga08a.
if (ga00 =52) ga08a052= ga08a.
if (ga00 =53) ga08a053= ga08a.
if (ga00 =54) ga08a054= ga08a.
if (ga00 =55) ga08a055= ga08a.
if (ga00 =56) ga08a056= ga08a.
if (ga00 =57) ga08a057= ga08a.
if (ga00 =58) ga08a058= ga08a.
if (ga00 =59) ga08a059= ga08a.
if (ga00 =60) ga08a060= ga08a.
if (ga00 =61) ga08a061= ga08a.
if (ga00 =62) ga08a062= ga08a.
if (ga00 =63) ga08a063= ga08a.
if (ga00 =64) ga08a064= ga08a.
if (ga00 =65) ga08a065= ga08a.
if (ga00 =66) ga08a066= ga08a.
if (ga00 =67) ga08a067= ga08a.
if (ga00 =68) ga08a068= ga08a.
if (ga00 =69) ga08a069= ga08a.
if (ga00 =70) ga08a070= ga08a.
if (ga00 =71) ga08a071= ga08a.
if (ga00 =72) ga08a072= ga08a.
if (ga00 =73) ga08a073= ga08a.
if (ga00 =74) ga08a074= ga08a.
if (ga00 =75) ga08a075= ga08a.
if (ga00 =76) ga08a076= ga08a.
if (ga00 =77) ga08a077= ga08a.
if (ga00 =78) ga08a078= ga08a.
if (ga00 =79) ga08a079= ga08a.
if (ga00 =80) ga08a080= ga08a.
if (ga00 =81) ga08a081= ga08a.
if (ga00 =82) ga08a082= ga08a.
if (ga00 =83) ga08a083= ga08a.
if (ga00 =84) ga08a084= ga08a.
if (ga00 =85) ga08a085= ga08a.
if (ga00 =86) ga08a086= ga08a.
if (ga00 =87) ga08a087= ga08a.
if (ga00 =88) ga08a088= ga08a.
if (ga00 =89) ga08a089= ga08a.
if (ga00 =90) ga08a090= ga08a.
if (ga00 =91) ga08a091= ga08a.
if (ga00 =92) ga08a092= ga08a.
if (ga00 =93) ga08a093= ga08a.
if (ga00 =94) ga08a094= ga08a.
if (ga00 =95) ga08a095= ga08a.
if (ga00 =96) ga08a096= ga08a.
if (ga00 =97) ga08a097= ga08a.
if (ga00 =98) ga08a098= ga08a.
if (ga00 =99) ga08a099= ga08a.
if (ga00 =100) ga08a100= ga08a.
if (ga00 =101) ga08a101= ga08a.
if (ga00 =102) ga08a102= ga08a.
if (ga00 =103) ga08a103= ga08a.
if (ga00 =104) ga08a104= ga08a.
if (ga00 =105) ga08a105= ga08a.
if (ga00 =106) ga08a106= ga08a.
if (ga00 =107) ga08a107= ga08a.
if (ga00 =108) ga08a108= ga08a.
if (ga00 =109) ga08a109= ga08a.
if (ga00 =110) ga08a110= ga08a.
if (ga00 =111) ga08a111= ga08a.

if (ga00 =1) ga08b001= ga08b.
if (ga00 =2) ga08b002= ga08b.
if (ga00 =3) ga08b003= ga08b.
if (ga00 =4) ga08b004= ga08b.
if (ga00 =5) ga08b005= ga08b.
if (ga00 =6) ga08b006= ga08b.
if (ga00 =7) ga08b007= ga08b.
if (ga00 =8) ga08b008= ga08b.
if (ga00 =9) ga08b009= ga08b.
if (ga00 =10) ga08b010= ga08b.
if (ga00 =11) ga08b011= ga08b.
if (ga00 =12) ga08b012= ga08b.
if (ga00 =13) ga08b013= ga08b.
if (ga00 =14) ga08b014= ga08b.
if (ga00 =15) ga08b015= ga08b.
if (ga00 =16) ga08b016= ga08b.
if (ga00 =17) ga08b017= ga08b.
if (ga00 =18) ga08b018= ga08b.
if (ga00 =19) ga08b019= ga08b.
if (ga00 =20) ga08b020= ga08b.
if (ga00 =21) ga08b021= ga08b.
if (ga00 =22) ga08b022= ga08b.
if (ga00 =23) ga08b023= ga08b.
if (ga00 =24) ga08b024= ga08b.
if (ga00 =25) ga08b025= ga08b.
if (ga00 =26) ga08b026= ga08b.
if (ga00 =27) ga08b027= ga08b.
if (ga00 =28) ga08b028= ga08b.
if (ga00 =29) ga08b029= ga08b.
if (ga00 =30) ga08b030= ga08b.
if (ga00 =31) ga08b031= ga08b.
if (ga00 =32) ga08b032= ga08b.
if (ga00 =33) ga08b033= ga08b.
if (ga00 =34) ga08b034= ga08b.
if (ga00 =35) ga08b035= ga08b.
if (ga00 =36) ga08b036= ga08b.
if (ga00 =37) ga08b037= ga08b.
if (ga00 =38) ga08b038= ga08b.
if (ga00 =39) ga08b039= ga08b.
if (ga00 =40) ga08b040= ga08b.
if (ga00 =41) ga08b041= ga08b.
if (ga00 =42) ga08b042= ga08b.
if (ga00 =43) ga08b043= ga08b.
if (ga00 =44) ga08b044= ga08b.
if (ga00 =45) ga08b045= ga08b.
if (ga00 =46) ga08b046= ga08b.
if (ga00 =47) ga08b047= ga08b.
if (ga00 =48) ga08b048= ga08b.
if (ga00 =49) ga08b049= ga08b.
if (ga00 =50) ga08b050= ga08b.
if (ga00 =51) ga08b051= ga08b.
if (ga00 =52) ga08b052= ga08b.
if (ga00 =53) ga08b053= ga08b.
if (ga00 =54) ga08b054= ga08b.
if (ga00 =55) ga08b055= ga08b.
if (ga00 =56) ga08b056= ga08b.
if (ga00 =57) ga08b057= ga08b.
if (ga00 =58) ga08b058= ga08b.
if (ga00 =59) ga08b059= ga08b.
if (ga00 =60) ga08b060= ga08b.
if (ga00 =61) ga08b061= ga08b.
if (ga00 =62) ga08b062= ga08b.
if (ga00 =63) ga08b063= ga08b.
if (ga00 =64) ga08b064= ga08b.
if (ga00 =65) ga08b065= ga08b.
if (ga00 =66) ga08b066= ga08b.
if (ga00 =67) ga08b067= ga08b.
if (ga00 =68) ga08b068= ga08b.
if (ga00 =69) ga08b069= ga08b.
if (ga00 =70) ga08b070= ga08b.
if (ga00 =71) ga08b071= ga08b.
if (ga00 =72) ga08b072= ga08b.
if (ga00 =73) ga08b073= ga08b.
if (ga00 =74) ga08b074= ga08b.
if (ga00 =75) ga08b075= ga08b.
if (ga00 =76) ga08b076= ga08b.
if (ga00 =77) ga08b077= ga08b.
if (ga00 =78) ga08b078= ga08b.
if (ga00 =79) ga08b079= ga08b.
if (ga00 =80) ga08b080= ga08b.
if (ga00 =81) ga08b081= ga08b.
if (ga00 =82) ga08b082= ga08b.
if (ga00 =83) ga08b083= ga08b.
if (ga00 =84) ga08b084= ga08b.
if (ga00 =85) ga08b085= ga08b.
if (ga00 =86) ga08b086= ga08b.
if (ga00 =87) ga08b087= ga08b.
if (ga00 =88) ga08b088= ga08b.
if (ga00 =89) ga08b089= ga08b.
if (ga00 =90) ga08b090= ga08b.
if (ga00 =91) ga08b091= ga08b.
if (ga00 =92) ga08b092= ga08b.
if (ga00 =93) ga08b093= ga08b.
if (ga00 =94) ga08b094= ga08b.
if (ga00 =95) ga08b095= ga08b.
if (ga00 =96) ga08b096= ga08b.
if (ga00 =97) ga08b097= ga08b.
if (ga00 =98) ga08b098= ga08b.
if (ga00 =99) ga08b099= ga08b.
if (ga00 =100) ga08b100= ga08b.
if (ga00 =101) ga08b101= ga08b.
if (ga00 =102) ga08b102= ga08b.
if (ga00 =103) ga08b103= ga08b.
if (ga00 =104) ga08b104= ga08b.
if (ga00 =105) ga08b105= ga08b.
if (ga00 =106) ga08b106= ga08b.
if (ga00 =107) ga08b107= ga08b.
if (ga00 =108) ga08b108= ga08b.
if (ga00 =109) ga08b109= ga08b.
if (ga00 =110) ga08b110= ga08b.
if (ga00 =111) ga08b111= ga08b.

if (ga00 =1) ga09001= ga09.
if (ga00 =2) ga09002= ga09.
if (ga00 =3) ga09003= ga09.
if (ga00 =4) ga09004= ga09.
if (ga00 =5) ga09005= ga09.
if (ga00 =6) ga09006= ga09.
if (ga00 =7) ga09007= ga09.
if (ga00 =8) ga09008= ga09.
if (ga00 =9) ga09009= ga09.
if (ga00 =10) ga09010= ga09.
if (ga00 =11) ga09011= ga09.
if (ga00 =12) ga09012= ga09.
if (ga00 =13) ga09013= ga09.
if (ga00 =14) ga09014= ga09.
if (ga00 =15) ga09015= ga09.
if (ga00 =16) ga09016= ga09.
if (ga00 =17) ga09017= ga09.
if (ga00 =18) ga09018= ga09.
if (ga00 =19) ga09019= ga09.
if (ga00 =20) ga09020= ga09.
if (ga00 =21) ga09021= ga09.
if (ga00 =22) ga09022= ga09.
if (ga00 =23) ga09023= ga09.
if (ga00 =24) ga09024= ga09.
if (ga00 =25) ga09025= ga09.
if (ga00 =26) ga09026= ga09.
if (ga00 =27) ga09027= ga09.
if (ga00 =28) ga09028= ga09.
if (ga00 =29) ga09029= ga09.
if (ga00 =30) ga09030= ga09.
if (ga00 =31) ga09031= ga09.
if (ga00 =32) ga09032= ga09.
if (ga00 =33) ga09033= ga09.
if (ga00 =34) ga09034= ga09.
if (ga00 =35) ga09035= ga09.
if (ga00 =36) ga09036= ga09.
if (ga00 =37) ga09037= ga09.
if (ga00 =38) ga09038= ga09.
if (ga00 =39) ga09039= ga09.
if (ga00 =40) ga09040= ga09.
if (ga00 =41) ga09041= ga09.
if (ga00 =42) ga09042= ga09.
if (ga00 =43) ga09043= ga09.
if (ga00 =44) ga09044= ga09.
if (ga00 =45) ga09045= ga09.
if (ga00 =46) ga09046= ga09.
if (ga00 =47) ga09047= ga09.
if (ga00 =48) ga09048= ga09.
if (ga00 =49) ga09049= ga09.
if (ga00 =50) ga09050= ga09.
if (ga00 =51) ga09051= ga09.
if (ga00 =52) ga09052= ga09.
if (ga00 =53) ga09053= ga09.
if (ga00 =54) ga09054= ga09.
if (ga00 =55) ga09055= ga09.
if (ga00 =56) ga09056= ga09.
if (ga00 =57) ga09057= ga09.
if (ga00 =58) ga09058= ga09.
if (ga00 =59) ga09059= ga09.
if (ga00 =60) ga09060= ga09.
if (ga00 =61) ga09061= ga09.
if (ga00 =62) ga09062= ga09.
if (ga00 =63) ga09063= ga09.
if (ga00 =64) ga09064= ga09.
if (ga00 =65) ga09065= ga09.
if (ga00 =66) ga09066= ga09.
if (ga00 =67) ga09067= ga09.
if (ga00 =68) ga09068= ga09.
if (ga00 =69) ga09069= ga09.
if (ga00 =70) ga09070= ga09.
if (ga00 =71) ga09071= ga09.
if (ga00 =72) ga09072= ga09.
if (ga00 =73) ga09073= ga09.
if (ga00 =74) ga09074= ga09.
if (ga00 =75) ga09075= ga09.
if (ga00 =76) ga09076= ga09.
if (ga00 =77) ga09077= ga09.
if (ga00 =78) ga09078= ga09.
if (ga00 =79) ga09079= ga09.
if (ga00 =80) ga09080= ga09.
if (ga00 =81) ga09081= ga09.
if (ga00 =82) ga09082= ga09.
if (ga00 =83) ga09083= ga09.
if (ga00 =84) ga09084= ga09.
if (ga00 =85) ga09085= ga09.
if (ga00 =86) ga09086= ga09.
if (ga00 =87) ga09087= ga09.
if (ga00 =88) ga09088= ga09.
if (ga00 =89) ga09089= ga09.
if (ga00 =90) ga09090= ga09.
if (ga00 =91) ga09091= ga09.
if (ga00 =92) ga09092= ga09.
if (ga00 =93) ga09093= ga09.
if (ga00 =94) ga09094= ga09.
if (ga00 =95) ga09095= ga09.
if (ga00 =96) ga09096= ga09.
if (ga00 =97) ga09097= ga09.
if (ga00 =98) ga09098= ga09.
if (ga00 =99) ga09099= ga09.
if (ga00 =100) ga09100= ga09.
if (ga00 =101) ga09101= ga09.
if (ga00 =102) ga09102= ga09.
if (ga00 =103) ga09103= ga09.
if (ga00 =104) ga09104= ga09.
if (ga00 =105) ga09105= ga09.
if (ga00 =106) ga09106= ga09.
if (ga00 =107) ga09107= ga09.
if (ga00 =108) ga09108= ga09.
if (ga00 =109) ga09109= ga09.
if (ga00 =110) ga09110= ga09.
if (ga00 =111) ga09111= ga09.

if (ga00 =1) ga10a001= ga10a.
if (ga00 =2) ga10a002= ga10a.
if (ga00 =3) ga10a003= ga10a.
if (ga00 =4) ga10a004= ga10a.
if (ga00 =5) ga10a005= ga10a.
if (ga00 =6) ga10a006= ga10a.
if (ga00 =7) ga10a007= ga10a.
if (ga00 =8) ga10a008= ga10a.
if (ga00 =9) ga10a009= ga10a.
if (ga00 =10) ga10a010= ga10a.
if (ga00 =11) ga10a011= ga10a.
if (ga00 =12) ga10a012= ga10a.
if (ga00 =13) ga10a013= ga10a.
if (ga00 =14) ga10a014= ga10a.
if (ga00 =15) ga10a015= ga10a.
if (ga00 =16) ga10a016= ga10a.
if (ga00 =17) ga10a017= ga10a.
if (ga00 =18) ga10a018= ga10a.
if (ga00 =19) ga10a019= ga10a.
if (ga00 =20) ga10a020= ga10a.
if (ga00 =21) ga10a021= ga10a.
if (ga00 =22) ga10a022= ga10a.
if (ga00 =23) ga10a023= ga10a.
if (ga00 =24) ga10a024= ga10a.
if (ga00 =25) ga10a025= ga10a.
if (ga00 =26) ga10a026= ga10a.
if (ga00 =27) ga10a027= ga10a.
if (ga00 =28) ga10a028= ga10a.
if (ga00 =29) ga10a029= ga10a.
if (ga00 =30) ga10a030= ga10a.
if (ga00 =31) ga10a031= ga10a.
if (ga00 =32) ga10a032= ga10a.
if (ga00 =33) ga10a033= ga10a.
if (ga00 =34) ga10a034= ga10a.
if (ga00 =35) ga10a035= ga10a.
if (ga00 =36) ga10a036= ga10a.
if (ga00 =37) ga10a037= ga10a.
if (ga00 =38) ga10a038= ga10a.
if (ga00 =39) ga10a039= ga10a.
if (ga00 =40) ga10a040= ga10a.
if (ga00 =41) ga10a041= ga10a.
if (ga00 =42) ga10a042= ga10a.
if (ga00 =43) ga10a043= ga10a.
if (ga00 =44) ga10a044= ga10a.
if (ga00 =45) ga10a045= ga10a.
if (ga00 =46) ga10a046= ga10a.
if (ga00 =47) ga10a047= ga10a.
if (ga00 =48) ga10a048= ga10a.
if (ga00 =49) ga10a049= ga10a.
if (ga00 =50) ga10a050= ga10a.
if (ga00 =51) ga10a051= ga10a.
if (ga00 =52) ga10a052= ga10a.
if (ga00 =53) ga10a053= ga10a.
if (ga00 =54) ga10a054= ga10a.
if (ga00 =55) ga10a055= ga10a.
if (ga00 =56) ga10a056= ga10a.
if (ga00 =57) ga10a057= ga10a.
if (ga00 =58) ga10a058= ga10a.
if (ga00 =59) ga10a059= ga10a.
if (ga00 =60) ga10a060= ga10a.
if (ga00 =61) ga10a061= ga10a.
if (ga00 =62) ga10a062= ga10a.
if (ga00 =63) ga10a063= ga10a.
if (ga00 =64) ga10a064= ga10a.
if (ga00 =65) ga10a065= ga10a.
if (ga00 =66) ga10a066= ga10a.
if (ga00 =67) ga10a067= ga10a.
if (ga00 =68) ga10a068= ga10a.
if (ga00 =69) ga10a069= ga10a.
if (ga00 =70) ga10a070= ga10a.
if (ga00 =71) ga10a071= ga10a.
if (ga00 =72) ga10a072= ga10a.
if (ga00 =73) ga10a073= ga10a.
if (ga00 =74) ga10a074= ga10a.
if (ga00 =75) ga10a075= ga10a.
if (ga00 =76) ga10a076= ga10a.
if (ga00 =77) ga10a077= ga10a.
if (ga00 =78) ga10a078= ga10a.
if (ga00 =79) ga10a079= ga10a.
if (ga00 =80) ga10a080= ga10a.
if (ga00 =81) ga10a081= ga10a.
if (ga00 =82) ga10a082= ga10a.
if (ga00 =83) ga10a083= ga10a.
if (ga00 =84) ga10a084= ga10a.
if (ga00 =85) ga10a085= ga10a.
if (ga00 =86) ga10a086= ga10a.
if (ga00 =87) ga10a087= ga10a.
if (ga00 =88) ga10a088= ga10a.
if (ga00 =89) ga10a089= ga10a.
if (ga00 =90) ga10a090= ga10a.
if (ga00 =91) ga10a091= ga10a.
if (ga00 =92) ga10a092= ga10a.
if (ga00 =93) ga10a093= ga10a.
if (ga00 =94) ga10a094= ga10a.
if (ga00 =95) ga10a095= ga10a.
if (ga00 =96) ga10a096= ga10a.
if (ga00 =97) ga10a097= ga10a.
if (ga00 =98) ga10a098= ga10a.
if (ga00 =99) ga10a099= ga10a.
if (ga00 =100) ga10a100= ga10a.
if (ga00 =101) ga10a101= ga10a.
if (ga00 =102) ga10a102= ga10a.
if (ga00 =103) ga10a103= ga10a.
if (ga00 =104) ga10a104= ga10a.
if (ga00 =105) ga10a105= ga10a.
if (ga00 =106) ga10a106= ga10a.
if (ga00 =107) ga10a107= ga10a.
if (ga00 =108) ga10a108= ga10a.
if (ga00 =109) ga10a109= ga10a.
if (ga00 =110) ga10a110= ga10a.
if (ga00 =111) ga10a111= ga10a.

if (ga00 =1) ga10b001= ga10b.
if (ga00 =2) ga10b002= ga10b.
if (ga00 =3) ga10b003= ga10b.
if (ga00 =4) ga10b004= ga10b.
if (ga00 =5) ga10b005= ga10b.
if (ga00 =6) ga10b006= ga10b.
if (ga00 =7) ga10b007= ga10b.
if (ga00 =8) ga10b008= ga10b.
if (ga00 =9) ga10b009= ga10b.
if (ga00 =10) ga10b010= ga10b.
if (ga00 =11) ga10b011= ga10b.
if (ga00 =12) ga10b012= ga10b.
if (ga00 =13) ga10b013= ga10b.
if (ga00 =14) ga10b014= ga10b.
if (ga00 =15) ga10b015= ga10b.
if (ga00 =16) ga10b016= ga10b.
if (ga00 =17) ga10b017= ga10b.
if (ga00 =18) ga10b018= ga10b.
if (ga00 =19) ga10b019= ga10b.
if (ga00 =20) ga10b020= ga10b.
if (ga00 =21) ga10b021= ga10b.
if (ga00 =22) ga10b022= ga10b.
if (ga00 =23) ga10b023= ga10b.
if (ga00 =24) ga10b024= ga10b.
if (ga00 =25) ga10b025= ga10b.
if (ga00 =26) ga10b026= ga10b.
if (ga00 =27) ga10b027= ga10b.
if (ga00 =28) ga10b028= ga10b.
if (ga00 =29) ga10b029= ga10b.
if (ga00 =30) ga10b030= ga10b.
if (ga00 =31) ga10b031= ga10b.
if (ga00 =32) ga10b032= ga10b.
if (ga00 =33) ga10b033= ga10b.
if (ga00 =34) ga10b034= ga10b.
if (ga00 =35) ga10b035= ga10b.
if (ga00 =36) ga10b036= ga10b.
if (ga00 =37) ga10b037= ga10b.
if (ga00 =38) ga10b038= ga10b.
if (ga00 =39) ga10b039= ga10b.
if (ga00 =40) ga10b040= ga10b.
if (ga00 =41) ga10b041= ga10b.
if (ga00 =42) ga10b042= ga10b.
if (ga00 =43) ga10b043= ga10b.
if (ga00 =44) ga10b044= ga10b.
if (ga00 =45) ga10b045= ga10b.
if (ga00 =46) ga10b046= ga10b.
if (ga00 =47) ga10b047= ga10b.
if (ga00 =48) ga10b048= ga10b.
if (ga00 =49) ga10b049= ga10b.
if (ga00 =50) ga10b050= ga10b.
if (ga00 =51) ga10b051= ga10b.
if (ga00 =52) ga10b052= ga10b.
if (ga00 =53) ga10b053= ga10b.
if (ga00 =54) ga10b054= ga10b.
if (ga00 =55) ga10b055= ga10b.
if (ga00 =56) ga10b056= ga10b.
if (ga00 =57) ga10b057= ga10b.
if (ga00 =58) ga10b058= ga10b.
if (ga00 =59) ga10b059= ga10b.
if (ga00 =60) ga10b060= ga10b.
if (ga00 =61) ga10b061= ga10b.
if (ga00 =62) ga10b062= ga10b.
if (ga00 =63) ga10b063= ga10b.
if (ga00 =64) ga10b064= ga10b.
if (ga00 =65) ga10b065= ga10b.
if (ga00 =66) ga10b066= ga10b.
if (ga00 =67) ga10b067= ga10b.
if (ga00 =68) ga10b068= ga10b.
if (ga00 =69) ga10b069= ga10b.
if (ga00 =70) ga10b070= ga10b.
if (ga00 =71) ga10b071= ga10b.
if (ga00 =72) ga10b072= ga10b.
if (ga00 =73) ga10b073= ga10b.
if (ga00 =74) ga10b074= ga10b.
if (ga00 =75) ga10b075= ga10b.
if (ga00 =76) ga10b076= ga10b.
if (ga00 =77) ga10b077= ga10b.
if (ga00 =78) ga10b078= ga10b.
if (ga00 =79) ga10b079= ga10b.
if (ga00 =80) ga10b080= ga10b.
if (ga00 =81) ga10b081= ga10b.
if (ga00 =82) ga10b082= ga10b.
if (ga00 =83) ga10b083= ga10b.
if (ga00 =84) ga10b084= ga10b.
if (ga00 =85) ga10b085= ga10b.
if (ga00 =86) ga10b086= ga10b.
if (ga00 =87) ga10b087= ga10b.
if (ga00 =88) ga10b088= ga10b.
if (ga00 =89) ga10b089= ga10b.
if (ga00 =90) ga10b090= ga10b.
if (ga00 =91) ga10b091= ga10b.
if (ga00 =92) ga10b092= ga10b.
if (ga00 =93) ga10b093= ga10b.
if (ga00 =94) ga10b094= ga10b.
if (ga00 =95) ga10b095= ga10b.
if (ga00 =96) ga10b096= ga10b.
if (ga00 =97) ga10b097= ga10b.
if (ga00 =98) ga10b098= ga10b.
if (ga00 =99) ga10b099= ga10b.
if (ga00 =100) ga10b100= ga10b.
if (ga00 =101) ga10b101= ga10b.
if (ga00 =102) ga10b102= ga10b.
if (ga00 =103) ga10b103= ga10b.
if (ga00 =104) ga10b104= ga10b.
if (ga00 =105) ga10b105= ga10b.
if (ga00 =106) ga10b106= ga10b.
if (ga00 =107) ga10b107= ga10b.
if (ga00 =108) ga10b108= ga10b.
if (ga00 =109) ga10b109= ga10b.
if (ga00 =110) ga10b110= ga10b.
if (ga00 =111) ga10b111= ga10b.

if (ga00 =1) ga11001= gastoac.
if (ga00 =2) ga11002= gastoac.
if (ga00 =3) ga11003= gastoac.
if (ga00 =4) ga11004= gastoac.
if (ga00 =5) ga11005= gastoac.
if (ga00 =6) ga11006= gastoac.
if (ga00 =7) ga11007= gastoac.
if (ga00 =8) ga11008= gastoac.
if (ga00 =9) ga11009= gastoac.
if (ga00 =10) ga11010= gastoac.
if (ga00 =11) ga11011= gastoac.
if (ga00 =12) ga11012= gastoac.
if (ga00 =13) ga11013= gastoac.
if (ga00 =14) ga11014= gastoac.
if (ga00 =15) ga11015= gastoac.
if (ga00 =16) ga11016= gastoac.
if (ga00 =17) ga11017= gastoac.
if (ga00 =18) ga11018= gastoac.
if (ga00 =19) ga11019= gastoac.
if (ga00 =20) ga11020= gastoac.
if (ga00 =21) ga11021= gastoac.
if (ga00 =22) ga11022= gastoac.
if (ga00 =23) ga11023= gastoac.
if (ga00 =24) ga11024= gastoac.
if (ga00 =25) ga11025= gastoac.
if (ga00 =26) ga11026= gastoac.
if (ga00 =27) ga11027= gastoac.
if (ga00 =28) ga11028= gastoac.
if (ga00 =29) ga11029= gastoac.
if (ga00 =30) ga11030= gastoac.
if (ga00 =31) ga11031= gastoac.
if (ga00 =32) ga11032= gastoac.
if (ga00 =33) ga11033= gastoac.
if (ga00 =34) ga11034= gastoac.
if (ga00 =35) ga11035= gastoac.
if (ga00 =36) ga11036= gastoac.
if (ga00 =37) ga11037= gastoac.
if (ga00 =38) ga11038= gastoac.
if (ga00 =39) ga11039= gastoac.
if (ga00 =40) ga11040= gastoac.
if (ga00 =41) ga11041= gastoac.
if (ga00 =42) ga11042= gastoac.
if (ga00 =43) ga11043= gastoac.
if (ga00 =44) ga11044= gastoac.
if (ga00 =45) ga11045= gastoac.
if (ga00 =46) ga11046= gastoac.
if (ga00 =47) ga11047= gastoac.
if (ga00 =48) ga11048= gastoac.
if (ga00 =49) ga11049= gastoac.
if (ga00 =50) ga11050= gastoac.
if (ga00 =51) ga11051= gastoac.
if (ga00 =52) ga11052= gastoac.
if (ga00 =53) ga11053= gastoac.
if (ga00 =54) ga11054= gastoac.
if (ga00 =55) ga11055= gastoac.
if (ga00 =56) ga11056= gastoac.
if (ga00 =57) ga11057= gastoac.
if (ga00 =58) ga11058= gastoac.
if (ga00 =59) ga11059= gastoac.
if (ga00 =60) ga11060= gastoac.
if (ga00 =61) ga11061= gastoac.
if (ga00 =62) ga11062= gastoac.
if (ga00 =63) ga11063= gastoac.
if (ga00 =64) ga11064= gastoac.
if (ga00 =65) ga11065= gastoac.
if (ga00 =66) ga11066= gastoac.
if (ga00 =67) ga11067= gastoac.
if (ga00 =68) ga11068= gastoac.
if (ga00 =69) ga11069= gastoac.
if (ga00 =70) ga11070= gastoac.
if (ga00 =71) ga11071= gastoac.
if (ga00 =72) ga11072= gastoac.
if (ga00 =73) ga11073= gastoac.
if (ga00 =74) ga11074= gastoac.
if (ga00 =75) ga11075= gastoac.
if (ga00 =76) ga11076= gastoac.
if (ga00 =77) ga11077= gastoac.
if (ga00 =78) ga11078= gastoac.
if (ga00 =79) ga11079= gastoac.
if (ga00 =80) ga11080= gastoac.
if (ga00 =81) ga11081= gastoac.
if (ga00 =82) ga11082= gastoac.
if (ga00 =83) ga11083= gastoac.
if (ga00 =84) ga11084= gastoac.
if (ga00 =85) ga11085= gastoac.
if (ga00 =86) ga11086= gastoac.
if (ga00 =87) ga11087= gastoac.
if (ga00 =88) ga11088= gastoac.
if (ga00 =89) ga11089= gastoac.
if (ga00 =90) ga11090= gastoac.
if (ga00 =91) ga11091= gastoac.
if (ga00 =92) ga11092= gastoac.
if (ga00 =93) ga11093= gastoac.
if (ga00 =94) ga11094= gastoac.
if (ga00 =95) ga11095= gastoac.
if (ga00 =96) ga11096= gastoac.
if (ga00 =97) ga11097= gastoac.
if (ga00 =98) ga11098= gastoac.
if (ga00 =99) ga11099= gastoac.
if (ga00 =100) ga11100= gastoac.
if (ga00 =101) ga11101= gastoac.
if (ga00 =102) ga11102= gastoac.
if (ga00 =103) ga11103= gastoac.
if (ga00 =104) ga11104= gastoac.
if (ga00 =105) ga11105= gastoac.
if (ga00 =106) ga11106= gastoac.
if (ga00 =107) ga11107= gastoac.
if (ga00 =108) ga11108= gastoac.
if (ga00 =109) ga11109= gastoac.
if (ga00 =110) ga11110= gastoac.
if (ga00 =111) ga11111= gastoac.

set mxmemory 2000000.

AGGREGATE
  /OUTFILE='C:\ECV2006\Datos\E5R_GALI.SAV'
  /BREAK=numhog region area
  /ga04001 to ga04111 = first (ga04001 to ga04111)
  /ga05001 to ga05111 = first (ga05001 to ga05111)
  /ga06a001 to ga06a111 = first (ga06a001 to ga06a111)
  /ga06b001 to ga06b111 = first (ga06b001 to ga06b111)
  /ga07001 to ga07111 = first (ga07001 to ga07111)
  /ga08a001 to ga08a111 = first (ga08a001 to ga08a111)
  /ga08b001 to ga08b111 = first (ga08b001 to ga08b111)
  /ga09001 to ga09111 = first (ga09001 to ga09111)
  /ga10a001 to ga10a111 = first (ga10a001 to ga10a111)
  /ga10b001 to ga10b111 = first (ga10b001 to ga10b111)
  /ga11001 to ga11111 = first (ga11001 to ga11111).


GET
  FILE='C:\ECV2006\datos\E5R_GALI.sav'.

GET
  FILE='C:\ecv2006\ecv_1t\E5R_GOTR.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .

compute test = (lag(numhog)=numhog).
recode test (sysmis = 0).
freq var test.

FILTER OFF.
USE ALL.
SELECT IF(test =0).

SAVE OUTFILE='C:\ecv2006\datos\E5R_GOTR.sav' drop test
   /COMPRESSED.

GET
  FILE='C:\ecv2006\ecv_1t\E5R_IOTR.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .

compute test = (lag(numhog)=numhog).
recode test (sysmis = 0).
freq var test.

FILTER OFF.
USE ALL.
SELECT IF(test =0).

SAVE OUTFILE='C:\ecv2006\datos\E5R_IOTR.sav' drop test
   /COMPRESSED.


GET
  FILE='C:\ecv2006\ecv_1t\E5R_NEG1.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .

compute test = (lag(numhog)=numhog).
recode test (sysmis = 0).
freq var test.

FILTER OFF.
USE ALL.
SELECT IF(test =0).

SAVE OUTFILE='C:\ecv2006\datos\E5R_NEG1.sav' drop test
   /COMPRESSED.


GET
  FILE='C:\ecv2006\ecv_1t\E5R_NEGO.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .

SAVE OUTFILE='C:\ecv2006\datos\E5R_NEGO.sav'
   /COMPRESSED.


GET
  FILE='C:\ecv2006\ecv_1t\E5R_PRE1.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .

compute test = (lag(numhog)=numhog).
recode test (sysmis = 0).
freq var test.

FILTER OFF.
USE ALL.
SELECT IF(test =0).

SAVE OUTFILE='C:\ecv2006\datos\E5R_PRE1.sav' drop test
   /COMPRESSED.

GET
  FILE='C:\ecv2006\ecv_1t\E5R_PRES.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .


SAVE OUTFILE='C:\ecv2006\datos\E5R_PRES.sav'
   /COMPRESSED.

GET
  FILE='C:\ecv2006\ecv_1t\e5r_ubi.sav'.

compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
compute zonan =number(SUBSTR(zona,1,3),f3.0).
compute sectorn =number(SUBSTR(sector,1,3),f3.0).
compute vivien =number(SUBSTR(vivienda,1,2),f2.0).
compute hogarn =number(SUBSTR(hogar,1,1),f1.0).


COMPUTE numhog = (ciudadn*1000000000) + (zonan*1000000) + (sectorn*1000) + (vivien*10) + hogarn .

FORMATS numhog (F14).

SORT CASES BY
  numhog (A) .

compute test = (lag(numhog)=numhog).
recode test (sysmis = 0).
freq var test.

FILTER OFF.
USE ALL.
SELECT IF(test =0).

if (fase_mes <= 3) trimes = 1.
if (fase_mes >= 4 and fase_mes <= 6) trimes = 2.
if (fase_mes >= 7 and fase_mes <= 9) trimes = 3.
if (fase_mes >= 10 and fase_mes <= 12) trimes = 4.
var lab trimes 'Trimestre'.
val lab trimes 1'1T' 2'2T' 3'3T' 4'4T'.

STRING NUMSE (A12).
COMPUTE NUMSE =CONCAT(CIUDAD,ZONA,SECTOR).
compute NUMSEC =number(SUBSTR(NUMSE,1,12),f12.0).

SAVE OUTFILE='C:\ecv2006\datos\e5r_ubi.sav' drop test NUMSE
   /COMPRESSED.

GET
  FILE='C:\ECV2006\ecv_1t\factor_exp.sav'.

*compute ciudadn =number(SUBSTR(ciudad,1,6),f6.0).
*compute zonan =number(SUBSTR(zona,1,3),f3.0).
*compute sectorn =number(SUBSTR(sector,1,3),f3.0).
*compute identif =number(SUBSTR(identifi,1,12),f12.0).
*COMPUTE numsec = identif.

FORMATS numsec (F12).

SORT CASES BY
  numsec (A) 


SAVE OUTFILE='C:\ecv2006\datos\factor_exp.sav'
   /COMPRESSED.


GET FILE='C:\ecv2006\datos\e5r_ubi.sav'.

MATCH FILES /FILE=*
 /TABLE='C:\ecv2006\Datos\factor_exp.sav'
 /RENAME (area sector trimes zona = d0 d1 d2 d3)
 /BY numsec
 /DROP= d0 d1 d2 d3.

SAVE OUTFILE='C:\ecv2006\datos\e5r_ubi.sav'
   /COMPRESSED.
EXECUTE.
