* (c) INSTITUTO NACIONAL DE ESTADISTICAS Y CENSOS.

* NOMBRE DEL ARCHIVO: p10_E5R_NO ALIMENTOS.SPS.

* TEMA: CONSUMO EN OTROS NO ALIMENTICIOS DE LOS HOGARES.

* FUENTE: ECV 2005- 2006 QUINTA RONDA.

* CONSULTOR RESPONSABLE: Ing. Wladymir Brborich. 

* ULTIMA ACTUALIZACION: 11 de Abril 2007.

* ESTE ES EL DECIMO PROGRAMA QUE SE DEBE CORRER.

GET
  FILE='C:\ECV2006\RESULTADOS\NO ALIMENTOS\E5R_DURABLES.sav'.

MATCH FILES /FILE=*
 /FILE='C:\ECV2006\RESULTADOS\NO ALIMENTOS\E5R_SERVICIOS.SAV'
 /BY numhog.

MATCH FILES /FILE=*
 /FILE='C:\ECV2006\RESULTADOS\NO ALIMENTOS\E5R_XNFOOD.sav'
 /BY numhog.

MATCH FILES /FILE=*
 /FILE='C:\ECV2006\RESULTADOS\NO ALIMENTOS\E5R_EDUCACION.sav'
 /BY numhog.

MATCH FILES /FILE=*
 /FILE='C:\ECV2006\DATOS\NPERS.sav'
 /BY numhog.

compute xnfood1f = sum.1(xnfood1,tvcable,internet).
compute xnfood2f = sum.1(xnfood2,tvcable,internet).
compute xnfood3f = sum.1(xnfood3,tvcable,internet).

compute noalime1 = sum.1(hhdurs2,educacio, xvivi, renta, agua, xnfood1f).
compute noalime2 = sum.1(hhdurs2,educacio, xvivi, renta, agua, xnfood2f).
compute noalime3 = sum.1(hhdurs2,educacio, xvivi, renta, agua, xnfood3f).

var lab noalime1 'Consumo mensual del hogar en no alimentos 1'.
var lab noalime2 'Consumo mensual del hogar en no alimentos 2'.
var lab noalime3 'Consumo mensual del hogar en no alimentos 3'.

SAVE OUTFILE='C:\ECV2006\RESULTADOS\NO ALIMENTOS\E5R_NOALIMENTOS.sav'
   /COMPRESSED.
