* (c) INSTITUTO NACIONAL DE ESTADISTICAS Y CENSOS.

* NOMBRE DEL ARCHIVO: P11_BASIC_EVOL_E5R.SPS.

* TEMA: CONSUMO TOTAL DE LOS HOGARES.

* FUENTE: ECV 2005- 2006 QUINTA RONDA.

* CONSULTOR RESPONSABLE: Ing. Wladymir Brborich. 

* ULTIMA ACTUALIZACION: 11 de Abril del 2007.

* ESTE ES EL DECIMO PRIMER PROGRAMA QUE SE DEBE CORRER.

GET
  FILE='C:\ecv2006\Resultados\No alimentos\E5R_NOALIMENTOS.sav'.


MATCH FILES /FILE=*
 /FILE='C:\ECV2006\Resultados\ALIMENTOS\E5R_ALIMENTOS.sav'
 /RENAME (totper = d0)
 /BY numhog
 /DROP= d0.


EXECUTE.

MATCH FILES /FILE=*
 /FILE='C:\ecv2006\Datos\e5r_ubi.sav'
 /RENAME (aa_dig1 aa_fin aa_ini canton ciudadn cod_dig dd_dig1 dd_fin dd_ini
  edificio efectiva equipo estratif fase_mes fase_ron hogar hogarn localida
  manzana marea mciudad mhogar mm_dig1 mm_fin mm_ini mregion mrgnal msector
  mviviend mzona nhogar numpers numsec parroqui provinci regional rvo rvr1
  rvr2 rvr3 rvr4 rvr5 rvr6 sectorn triada vivien vivienda vo vr1 vr2 vr3 vr4
  vr5 vr6 zonan = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16
  d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35
  d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 d50 d51 d52 d53 d54)
 /BY numhog
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38
  d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 d50 d51 d52 d53 d54.


execute.

IF(REGIONT = 1 AND AREA1 = 0) INDEX = 0.98444381 . 
IF(REGIONT = 1 AND AREA1 = 1) INDEX = 1.01881603 . 
IF(REGIONT = 2 AND AREA1 = 0) INDEX = 0.98451361 . 
IF(REGIONT = 2 AND AREA1 = 1) INDEX = 0.99159256 . 
IF(REGIONT = 3 AND AREA1 = 0) INDEX = 1.02180543 . 
IF(REGIONT = 3 AND AREA1 = 1) INDEX = 1.03074089 . 


*********diferencia de precios temporales (abril-mayo-junio)***********.

************************************************************************************.
if (trimes = 1) deflac = ( 105.45 + 105.3 + 105.06 ) / ( 103.16 + 103.46 + 103.96 ). 
if (trimes = 2) deflac = ( 105.45 + 105.3 + 105.06 ) / ( 104.69 + 105.38 + 105.45 ). 
if (trimes = 3) deflac = ( 105.45 + 105.3 + 105.06 ) / ( 105.3 + 105.06 + 105.09 ). 
if (trimes = 4) deflac = ( 105.45 + 105.3 + 105.06 ) / ( 105.32 + 105.92 + 106.29 ). 
*************************************************************************************.


compute consumo = sum.1 (noalime2,gastalim*totper).
var lab consumo 'Consumo mensual del hogar'.

if (noalime2 >0 and gastalim >0) adjcap = consumo * deflac /(2 * totper * index).
var lab adjcap 'Consumo per cpita quincenal ajustado'.

compute facper = fexp * totper.

compute engel = gastalim*totper/consumo.
var lab engel'Engel'.

compute LI_R5 = 15.96.



IF(adjcap >= 0.99 * LI_R5 and adjcap <= 1.01 * LI_R5) engel_01 = engel.
IF(adjcap >= 0.98 * LI_R5 and adjcap <= 1.02 * LI_R5) engel_02 = engel.
IF(adjcap >= 0.97 * LI_R5 and adjcap <= 1.03 * LI_R5) engel_03 = engel.
IF(adjcap >= 0.96 * LI_R5 and adjcap <= 1.04 * LI_R5) engel_04 = engel.
IF(adjcap >= 0.95 * LI_R5 and adjcap <= 1.05 * LI_R5) engel_05 = engel.
IF(adjcap >= 0.94 * LI_R5 and adjcap <= 1.06 * LI_R5) engel_06 = engel.
IF(adjcap >= 0.93 * LI_R5 and adjcap <= 1.07 * LI_R5) engel_07 = engel.
IF(adjcap >= 0.92 * LI_R5 and adjcap <= 1.08 * LI_R5) engel_08 = engel.
IF(adjcap >= 0.91 * LI_R5 and adjcap <= 1.09 * LI_R5) engel_09 = engel.
IF(adjcap >= 0.90 * LI_R5 and adjcap <= 1.10 * LI_R5) engel_10 = engel.

WEIGHT
  BY facper .

compute total = 1.

AGGREGATE
/OUTFILE='C:\ecv2006\Resultados\engel_10LI_e5r_cs.sav'
/BREAK=total
/ce_01 = MEAN(engel_01) 
/ce_02 = MEAN(engel_02) 
/ce_03 = MEAN(engel_03) 
/ce_04 = MEAN(engel_04) 
/ce_05 = MEAN(engel_05)
/ce_06 = MEAN(engel_06) 
/ce_07 = MEAN(engel_07) 
/ce_08 = MEAN(engel_08) 
/ce_09 = MEAN(engel_09)
/ce_10 = MEAN(engel_10).

GET
  FILE='C:\ecv2006\Resultados\engel_10LI_e5r_cs.sav'.

compute CE_R5 = mean (ce_01 to ce_10).

SAVE OUTFILE = 'C:\ecv2006\Resultados\engel_10LI_e5r_cs.sav' DROOP CE_01 TO CE_10.

GET
  FILE='C:\ecv2006\Resultados\No alimentos\E5R_NOALIMENTOS.sav'.

MATCH FILES /FILE=*
 /FILE='C:\ECV2006\Resultados\ALIMENTOS\E5R_ALIMENTOS.sav'
 /RENAME (totper = d0)
 /BY numhog
 /DROP= d0.

MATCH FILES /FILE=*
 /FILE='C:\ecv2006\Datos\e5r_ubi.sav'
 /RENAME (aa_dig1 aa_fin aa_ini canton ciudadn cod_dig dd_dig1 dd_fin dd_ini
  edificio efectiva equipo estratif fase_mes fase_ron hogar hogarn localida
  manzana marea mciudad mhogar mm_dig1 mm_fin mm_ini mregion mrgnal msector
  mviviend mzona nhogar numpers numsec parroqui provinci regional rvo rvr1
  rvr2 rvr3 rvr4 rvr5 rvr6 sectorn triada vivien vivienda vo vr1 vr2 vr3 vr4
  vr5 vr6 zonan = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16
  d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35
  d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 d50 d51 d52 d53 d54)
 /BY numhog
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38
  d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 d50 d51 d52 d53 d54.


IF(REGIONT = 1 AND AREA1 = 0) INDEX = 0.98444381 . 
IF(REGIONT = 1 AND AREA1 = 1) INDEX = 1.01881603 . 
IF(REGIONT = 2 AND AREA1 = 0) INDEX = 0.98451361 . 
IF(REGIONT = 2 AND AREA1 = 1) INDEX = 0.99159256 . 
IF(REGIONT = 3 AND AREA1 = 0) INDEX = 1.02180543 . 
IF(REGIONT = 3 AND AREA1 = 1) INDEX = 1.03074089 . 


*********diferencia de precios temporales (abril-mayo-junio)***********.

************************************************************************************.
if (trimes = 1) deflac = ( 105.45 + 105.3 + 105.06 ) / ( 103.16 + 103.46 + 103.96 ). 
if (trimes = 2) deflac = ( 105.45 + 105.3 + 105.06 ) / ( 104.69 + 105.38 + 105.45 ). 
if (trimes = 3) deflac = ( 105.45 + 105.3 + 105.06 ) / ( 105.3 + 105.06 + 105.09 ). 
if (trimes = 4) deflac = ( 105.45 + 105.3 + 105.06 ) / ( 105.32 + 105.92 + 106.29 ). 
*************************************************************************************.


compute consumo = sum.1 (noalime2,gastalim*totper).
var lab consumo 'Consumo mensual del hogar'.

if (noalime2 >0 and gastalim >0) adjcap = consumo * deflac /(2 * totper * index).
var lab adjcap 'Consumo per cpita quincenal ajustado'.

compute facper = fexp * totper.

compute engel = gastalim*totper/consumo.
var lab engel'Engel'.

compute LI_R5 = 15.96.

COMPUTE TOTAL = 1.

MATCH FILES /FILE=*
 /TABLE='C:\ecv2006\Resultados\engel_10LI_e5r_cs.sav'
 /BY total.

WEIGHT
  BY facper .

compute LP_R5 = LI_R5 / CE_R5.

if (adjcap <= LI_R5) pobreza = 1.
if (adjcap > LI_R5 and adjcap <= LP_R5) pobreza = 2.
if (adjcap > LP_R5) pobreza = 3.

var lab pobreza 'Niveles de Pobreza'.
val lab pobreza 1'Indigencia' 2'Pobres no indigentes' 3'No pobres'.

recode pobreza (1, 2 = 100) (3 =0) into pobre.
recode pobreza (1 = 100) (2,3 =0) into indigen.

recode trimes (1,2 = 1) (3,4 = 2) into semes.
val lab semes 1'1er Semestre' 2'2do Semestre'.

MEANS
  TABLES= indigen pobre  BY regiont  BY area1 by semes
  /CELLS MEAN COUNT  .

MEANS
  TABLES=indigen  pobre BY dominion
  /CELLS MEAN COUNT  .

SAVE OUTFILE='C:\ECV2006\Resultados\E5R_BASIC_EVOL.sav'
   /COMPRESSED.

GET FILE='C:\ECV2006\Resultados\E5R_BASIC_EVOL.sav'.

WEIGHT
  OFF.

recode hhdurs2 velas carbon lenia gas gasdieke electric telefon internet
  tvcable xvivi agua renta xnfood2 educacio xnfood2f noalime2 gastocer
  gastalim consumo adjcap (0 = sysmis).

DESCRIPTIVES
  VARIABLES=hhdurs2 velas carbon lenia gas gasdieke electric telefon internet
  tvcable xvivi agua renta xnfood2 educacio xnfood2f noalime2 gastocer
  gastalim consumo adjcap
  /STATISTICS=MEAN SUM STDDEV MIN MAX .
