* (c) INSTITUTO NACIONAL DE ESTADISTICAS Y CENSOS.

* NOMBRE DEL ARCHIVO: E5R_EDUCACION.SPS.

* TEMA: CONsumO EN EDUCACION DE LOS HOGARES.

* FUENTE: ECV 2005- 2006 QUINTA RONDA.

* CONSULTOR RESPONSABLE: Ing. Wladymir Brborich. 

* ULTIMA ACTUALIZACION: 10 de Abril del 2007.

* ESTE ES EL SEPTIMO PROGRAMA QUE SE DEBE CORRER.

GET
  FILE='C:\ecv2006\DATOS\e5r_per.sav'.

WEIGHT
  OFF.


* PARTE A.

des var pe03b pe04b pe05b pe06b pe07b pe08b pe09b pe10b.

RECODE  pe03b pe04b pe05b pe06b pe07b pe08b pe09b pe10b (0,99999,99999.99 = sysmis) .

des var pe03b pe04b pe05b pe06b pe07b pe08b pe09b pe10b.

COMPUTE PE03bM = PE03b/12.
COMPUTE PE04bM = PE04b/12.
COMPUTE PE05bM = PE05b/12.
COMPUTE PE06bM = PE06b/12.

* PARTE B.

des var pe37b pe38b pe39b pe40b pe41b pe42b pe43b.

RECODE
  pe37b pe38b pe39b pe40b pe41b pe42b pe43b (0,99999,99999.99 = sysmis)  .

des var pe37b pe38b pe39b pe40b pe41b pe42b pe43b.

COMPUTE PE37bM = PE37b/12.
COMPUTE PE38bM = PE38b/12.
COMPUTE PE39bM = PE39b/12.

* PARTE C.


des var pe57b.

RECODE
  pe57b (0,99999,99999.99 = sysmis).

des var pe57b.

COMPUTE PE57bM = PE57b/12.

WEIGHT
  OFF.

* LO QUE OBTENEMOS ES EL GASTO DEL HOGAR EN EDUCACION.

AGGREGATE
  /OUTFILE='C:\ecv2006\resultados\No alimentos\e5r_educacion.SAV'
  /BREAK=numhog
  /pe03bm = sum(pe03bm )
  /pe04bm = sum(pe04bm )
  /pe05bm = sum(pe05bm )
  /pe06bm = sum(pe06bm )
  /pe07b = sum(pe07b )
  /pe08b = sum(pe08b )
  /pe09b = sum(pe09b )
  /pe10b  = sum(pe10b)
  /pe37bm = sum(pe37bm )
  /pe38bm = sum(pe38bm ) 
  /pe39bm =  sum(pe39bm )
  /pe40b = sum(pe40b )
  /pe41b = sum(pe41b ) 
  /pe42b =  sum(pe42b )
  /pe43b = sum(pe43b )
  /pe57bm = sum(pe57bm)
  /totper = n.

GET
  FILE='C:\ecv2006\resultados\No alimentos\e5r_educacion.SAV'.

compute educacio = sum.1 ( pe03bm, pe05bm, pe06bm, pe07b, pe08b, pe09b, pe10b, pe37bm, pe38bm, pe39bm, pe40b, pe41b, pe42b, pe43b).

VARIABLE LABELS educacio 'Gasto mensual del hogar Educacin'.

SAVE OUTFILE='C:\ecv2006\resultados\No alimentos\e5r_educacion.SAV' keep numhog educacio
   /COMPRESSED.


GET
  FILE='C:\ecv2006\resultados\No alimentos\e5r_educacion.SAV'.
