* (c) INSTITUTO NACIONAL DE ESTADISTICAS Y CENSOS.

* NOMBRE DEL ARCHIVO: p08_E5R_SERVICIOS BASICOS.SPS.

* TEMA: CONSUMO EN SERVICIOS BASICOS DE LOS HOGARES.

* FUENTE: ECV 2005- 2006 QUINTA RONDA.

* CONSULTOR RESPONSABLE: Ing. Wladymir Brborich. 

* ULTIMA ACTUALIZACION: 4 de Abril 2007.

* ESTE ES EL OCTAVO PROGRAMA QUE SE DEBE CORRER.

GET
  FILE='C:\ECV2006\DATOS\e5r_per.sav'.

des var ps63a ps63b ps64a ps64b.

if (ps63a = 1 and ps64a = 1) celular= ps64b.

WEIGHT
  OFF.

AGGREGATE
  /OUTFILE='C:\ecv2006\Resultados\no alimentos\celular_hogar.sav'
  /BREAK=numhog
  /celular= SUM(celular).

GET
  FILE='C:\ECV2006\Resultados\no alimentos\celular_hogar.sav'.

des var celular.

GET
  FILE='C:\ECV2006\DATOS\e5r_viv.sav'.

MATCH FILES /FILE=*
 /TABLE='C:\ecv2006\resultados\no alimentos\celular_hogar.sav'
 /BY numhog.


WEIGHT
  OFF.


* CONSUMO DE COMBUSTIBLES.

des var fe0104 fe0204 fe0304 fe0404 fe0504.

********DEPURACIN COMBUSTIBLES*******.

if(FE0104>8)FE0104=8.
if(FE0204>11)FE0204=11.
if(FE0304>81)FE0304=81.
if(FE0404>8)FE0404=8.
if(FE0504>43)FE0504=43.

des var fe0104 fe0204 fe0304 fe0404 fe0504.

if (fe0101 = 1) velas = fe0104.
if (fe0201 = 1) carbon = fe0204.
if (fe0301 = 1) lenia = fe0304.
if (fe0401 = 1) gas = fe0404.
if (fe0501 = 1) gasdieke = fe0504.

* CONSUMO DE AGUA (SIN UTILIZAR LA ESTIMACION).

recode vi25a (9999 THRU HI  = sysmis) (else = copy) into vi25ax.
recode vi25b (0 = 1).
compute vi25an = vi25ax/vi25b.

des var vi25an.

if(VI25AN>22)VI25AN=22.
if (vi24 = 1) agua = vi25an.
des var agua.


* GASTO ELECTRICIDAD.

recode vi31a (9999 THRU HI = sysmis) (else = copy) into vi31ax.
recode vi31b (0 = 1).
compute vi31an = vi31ax/vi31b.
des var vi31an.
if(VI31AN>36)VI31AN=36.

if(VI30 = 1) electric=vi31an.
des var electric.

* CONSUMO TELEFONICO.

recode vi34a (9999 THRU HI = sysmis) (else = copy) into vi34ax.
recode vi34b (0 = 1).
compute vi34an = vi34ax/vi34b.
des var vi34an.
if(VI34AN>36)VI34AN=48.

if((VI32 = 1 and vi33 = 1) or celular > 0) telefon=sum.1(vi34an,celular).
des var telefon.

* CONSUMO DE BASURA (No existe en 2006).

***** CONSUMO DE INTERNET ********.

recode vi37a (9999 THRU HI = sysmis) (else = copy) into vi37ax.
recode vi37b (0 = 1).
compute vi37an = vi37ax/vi37b.
des var vi37an.

if(VI35 = 1 and vi36 = 1) INTERNET=vI37an.
des var INTERNET.

***** CONSUMO DE TV CABLE ********.

recode vi40a (9999 THRU HI  = sysmis) (else = copy) into vi40ax.
recode vi40b (0 = 1).
compute vi40an = vi40ax/vi40b.
des var vi40an.

if(VI38 = 1 and vi39 = 1) TVCABLE=vi40an.
des var TVCABLE.

SORT CASES BY
  regiont (A) area1 (A) .

WEIGHT
  OFF.


**************************************************************************************.
compute regiont =number(SUBSTR(region,1,1),f1.0).
recode regiont (1=2) (2=1) (3=3).
val lab regiont 1'Costa' 2'Sierra' 3'Amazona'.

execute.

STRING arear (A1).

COMPUTE arear = area.

VARIABLE LABELS arear 'area recodificada'.

VALUE LABELS arear
'1' 'urbana (5.000 y ms)'
'2' 'rural (menos 5.000)'.

if (ciudad='010151' and zona='001' and sector='005')arear='2'.
if (ciudad='010651' and zona='001' and sector='002')arear='2'.
if (ciudad='020250' and zona='001' and sector='005')arear='2'.
if (ciudad='020350' and zona='001' and sector='001')arear='2'.
if (ciudad='020450' and zona='001' and sector='003')arear='2'.
if (ciudad='020650' and zona='001' and sector='001')arear='2'.
if (ciudad='030450' and zona='909' and sector='006')arear='2'.
if (ciudad='030452' and zona='904' and sector='004')arear='2'.
if (ciudad='030550' and zona='001' and sector='003')arear='2'.
if (ciudad='040153' and zona='001' and sector='007')arear='2'.
if (ciudad='040250' and zona='001' and sector='002')arear='2'.
if (ciudad='040350' and zona='001' and sector='007')arear='2'.
if (ciudad='040353' and zona='001' and sector='005')arear='2'.
if (ciudad='040650' and zona='001' and sector='005')arear='2'.
if (ciudad='060350' and zona='001' and sector='001')arear='2'.
if (ciudad='070953' and zona='001' and sector='003')arear='2'.
if (ciudad='080253' and zona='001' and sector='007')arear='2'.
if (ciudad='080454' and zona='001' and sector='002')arear='2'.
if (ciudad='080750' and zona='001' and sector='003')arear='2'.
if (ciudad='090250' and zona='931' and sector='002')arear='2'.
if (ciudad='100254' and zona='001' and sector='006')arear='2'.
if (ciudad='100450' and zona='929' and sector='001')arear='2'.
if (ciudad='100456' and zona='903' and sector='002')arear='2'.
if (ciudad='100550' and zona='001' and sector='007')arear='2'.
if (ciudad='100650' and zona='001' and sector='003')arear='2'.
if (ciudad='111050' and zona='001' and sector='007')arear='2'.
if (ciudad='111150' and zona='001' and sector='003')arear='2'.
if (ciudad='120252' and zona='001' and sector='001')arear='2'.
if (ciudad='120553' and zona='001' and sector='004')arear='2'.
if (ciudad='121150' and zona='963' and sector='004')arear='2'.
if (ciudad='130850' and zona='901' and sector='004')arear='2'.
if (ciudad='131250' and zona='946' and sector='002')arear='2'.
if (ciudad='132050' and zona='001' and sector='002')arear='2'.
if (ciudad='140350' and zona='001' and sector='002')arear='2'.
if (ciudad='140450' and zona='001' and sector='002')arear='2'.
if (ciudad='150350' and zona='001' and sector='002')arear='2'.
if (ciudad='150450' and zona='001' and sector='002')arear='2'.
if (ciudad='160252' and zona='001' and sector='007')arear='2'.
if (ciudad='160252' and zona='001' and sector='008')arear='2'.
if (ciudad='170356' and zona='001' and sector='007')arear='2'.
if (ciudad='170850' and zona='001' and sector='008')arear='2'.
if (ciudad='180165' and zona='001' and sector='004')arear='2'.
if (ciudad='180350' and zona='001' and sector='003')arear='2'.
if (ciudad='190250' and zona='001' and sector='005')arear='2'.

if (arear = '1') area1 = 1.
if (arear = '2') area1 = 0.

var lab area1 'Area residencial (5000 habitantes)'.
val lab area1 1'Ciudad' 0'Campo'.
*******************************************************************************.

* OBTENEMOS LOS VALORES MEDIOS SEGUN REGION Y AREA1 .

AGGREGATE
  /OUTFILE='C:\ecv2006\resultados\No alimentos\servicios_media_e5r.sav'
  /BREAK=regiont area1
  /MVELAS = MEAN(VELAS)
  /MCARBON = MEAN(CARBON)
  /MLENIA = MEAN(LENIA)
  /MGAS = MEAN(GAS)
  /MGASDIEK = MEAN(GASDIEKE)
  /MELECTRI = MEAN(ELECTRIC)
  /MTELEFON= MEAN(TELEFON)
  /MINTERNE= MEAN(INTERNET)
  /MTVCABLE= MEAN(TVCABLE).

* TRAEMOS A LA BASE DE TRABAJO LOS VALORES MEDIOS OBTENIDOS EN EL PASO ANTERIOR.

MATCH FILES /FILE=*
 /TABLE='C:\ecv2006\resultados\No alimentos\servicios_media_e5r.sav'
 /BY regiont area1.


SORT CASES BY
  numhog (A) .

IF (FE0101 = 1 AND SYSMIS(VELAS)) VELAS = MVELAS.
IF (FE0201 = 1 AND SYSMIS(CARBON)) CARBON = MCARBON.
IF (FE0301 = 1 AND SYSMIS(LENIA)) LENIA = MLENIA.
IF (FE0401 = 1 AND SYSMIS(GAS)) GAS = MGAS.
IF (FE0501 = 1 AND SYSMIS(GASDIEKE)) GASDIEKE = MGASDIEK.
IF (VI30 = 1 AND SYSMIS(ELECTRIC)) ELECTRIC = MELECTRI.
IF (VI32 = 1 AND VI33 = 1 AND SYSMIS(TELEFON)) TELEFON = MTELEFON.
IF (VI35 = 1 AND VI36 = 1 AND SYSMIS(INTERNET)) INTERNET= MINTERNE.
IF (VI38 = 1 AND VI39 = 1 AND SYSMIS(TVCABLE)) TVCABLE= MTVCABLE.

 var lab velas 'Gasto mensual en velas'.
 var lab carbon 'Gasto mensual en carbn'.
 var lab lenia 'Gasto mensual en lea'.
 var lab gas 'Gasto mensual en gas'.
 var lab gasdieke 'Gasto mensual en otros combustibles para cocinar'.
 var lab  electric 'Gasto mensual en electricidad'.
 var lab telefon 'Gasto mensual en servicio telefnico convencional o celular'.
 var lab  internet 'Gasto mensual en internet'.
 var lab tvcable 'Gasto mensual en servicio de televisin por cable'.

 var lab agua 'Gasto mensual en agua'.

*******Hay que sumar TVCABLE e INTERNET a XNFOOD de la seccin 8*********

COMPUTE XVIVI = SUM.1 ( velas, carbon,lenia,gas,gasdieke,electric,telefon).
VARIABLE LABELS XVIVI ' Gastos mensuales de la vivienda en servicios sin agua y renta) '.

if (vi42 <= 2) vi4346 = vi43.
if (vi42 = 3) vi4346 = vi45.
if (vi42 = 4) vi4346 = vi45.
if (vi42 >= 5 and vi42 <= 7) vi4346 = vi46.

recode vi4346 (4000 THRU HI = sysmis)  (else = copy) into renta.
var lab renta 'Gasto mensual en renta'.

des var VELAS CARBON LENIA GAS GASDIEKE ELECTRIC TELEFON INTERNET TVCABLE xvivi agua renta.

SAVE OUTFILE='C:\ecv2006\RESULTADOS\No alimentos\E5R_SERVICIOS.SAV' keep NUMHOG VELAS CARBON LENIA GAS GASDIEKE ELECTRIC TELEFON INTERNET TVCABLE xvivi agua renta
   /COMPRESSED.

GET
  FILE='C:\ECV2006\Resultados\No alimentos\E5R_SERVICIOS.SAV'.
EXECUTE .
