* (c) INSTITUTO NACIONAL DE ESTADISTICAS Y CENSOS.

* NOMBRE DEL ARCHIVO: P12_E4R_FGT_CONSUMO.SPS.

* TEMA: INDICES FGT (INCIDENCIA, BRECHA Y SEVERIDAD DE LA INDIGENCIA Y POBREZA).

* FUENTE: ECV 1995 SEGUNDA RONDA.

* CONSULTOR RESPONSABLE: Ing. Wladymir Brborich. 

* ULTIMA ACTUALIZACION: 11 de Abril del 2007.

* ESTE ES EL DECIMO SEGUNDO PROGRAMA QUE SE DEBE CORRER.

* CORRECCION DE DURABLES SUGERIDA POR EC.CARLOS SOBRADO DE BANCO MUNDIAL.

GET FILE='C:\ECV2006\Resultados\e5r_basic_evol.sav'.

* LAS LINEAS UTILIZADAS SON QUINCENALES.
* ADJCAP ES EL VALOR PERCAPITA QUINCENAL AJUSTADO.

If (~ missing(adjcap)) casos=1.

freq var casos.

COMPUTE distind1 = MAX( (LI_r5-adjcap)/LI_r5,0) .
COMPUTE dispob1 = MAX( (LP_r5-adjcap)/LP_r5,0).

COMPUTE distind0 = distind1**0.
COMPUTE dispob0 = dispob1**0.

COMPUTE distind2 = distind1**2.
COMPUTE dispob2 = dispob1**2.

WEIGHT
  BY FACPER.

AGGREGATE
  /OUTFILE=*
  /BREAK= semes regiont area1 
  /sumind0 = SUM(distind0) /sumpob0 = SUM(dispob0)
  /sumind1 = SUM(distind1) /sumpob1 = SUM(dispob1) 
  /sumind2 = SUM(distind2) /sumpob2 = SUM(dispob2) 
  /n =sum(casos)
  /totper'Poblacin' = N.

COMPUTE fgt0ind= sumind0 * 100/n.
COMPUTE fgt0pob= sumpob0 * 100/n.

COMPUTE fgt1ind= sumind1 * 100/n.
COMPUTE fgt1pob= sumpob1 * 100/n.

COMPUTE fgt2ind= sumind2 * 100/n.
COMPUTE fgt2pob= sumpob2 * 100/n.

var lab fgt0ind'Incidencia Indigencia'.
var lab fgt0pob'Incidencia Pobreza'.

var lab fgt1ind'Brecha Indigencia'.
var lab fgt1pob'Brecha Pobreza'.

var lab fgt2ind'Severidad Indigencia'.
var lab fgt2pob'Severidad Pobreza'.

SAVE OUTFILE='C:\ECV2006\RESULTADOS\FGT_consumo_2141_E5R.sav'
   /COMPRESSED.

WEIGHT
  BY totper .

var lab area1''/semes''/.

compute tota = 1.
var lab tota''.
val lab tota 1'Pas'.

compute totax = 1.
var lab totax''/regiont''.
val lab totax 1'Total'.

TABLES
 /FORMAT BLANK MISSING('.')
 /obser=fgt0ind fgt0pob fgt1ind fgt1pob fgt2ind fgt2pob
 /ptotal=total
 /TABLE= (tota+semes+area1+ regiont) > totax + (regiont > area1) by (fgt0ind + fgt0pob + fgt1ind + fgt1pob + fgt2ind + fgt2pob) 
 /STATISTICS=means((f7.1)'%') count('Poblacin')
 /title='Incidencia, Brecha y Severidad de la Indigencia y la Pobreza'
 /caption='Fuente: INEC - ECV 2006 Quinta Ronda' 'Elaborado por: Ing. Wladymir Brborich'.

